2009-04-12  Christian Persch  <chpe@gnome.org>

	* src/common/plugin.c: (xchat_read_fd):
	* src/common/server.c: (waitline2): Remove use of deprecated glib
	functions. Bug #572238, patch by Kyle Pelton.

2009-04-12  Christian Persch  <chpe@gnome.org>

	=== Version 0.26.1 ===

	* NEWS:
	* configure.ac:

2009-03-15  Christian Persch  <chpe@gnome.org>

	Bug 411743 – xchat_print called without valid context

	* plugins/net-monitor/net-monitor.c: (xchat_plugin_init):
	* plugins/notification/notification.c: (xchat_plugin_init):
	* plugins/sound-notification/sound-notification.c:
	(xchat_plugin_init):
	* plugins/xchat-plugin.h:
	* src/common/plugin.c: (plugin_add), (xchat_find_set_context),
	(xchat_find_context):
	* src/common/plugin.h:
	* src/common/xchat-plugin.h: Set the plugin context. Patch by  
	Andreas	Dalsgaard.

2009-03-14  Christian Persch  <chpe@gnome.org>

	Bug 568471 – WARNING: setting an adjustment with non-zero page size is
	deprecated.
	Patch by Adam Buchbinder.

	* data/channel-list.glade:
	* data/preferences-dialog.glade: Fix 'page size' setting for
	spinbuttons.

2009-03-03  Gabor Kelemen  <kelemeng@gnome.hu>

	* data/xchat-gnome.glade: Mark some strings for translation, Bug #573978.
	
2009-01-16  Christian Persch  <chpe@gnome.org>

	=== Release 0.24.3.1 ===

	* NEWS:
	* configure.ac:

2009-01-16  Christian Persch  <chpe@gnome.org>

	* src/fe-gnome/conversation-panel.c: Fix the build!

2009-01-16  Christian Persch  <chpe@gnome.org>

	* plugins/notification/notification.c: (got_focus_cb):
	* src/common/servlist.c:
	* src/common/text.c:
	* src/common/xchat.h:
	* src/fe-gnome/conversation-panel.h:
	* src/fe-gnome/dcc-window.c: (dcc_window_update):
	* src/fe-gnome/find-bar.h:
	* src/fe-gnome/gui.h:
	* src/fe-gnome/irc-network-editor.h:
	* src/fe-gnome/palette.h:
	* src/fe-gnome/pixmaps.c:
	* src/fe-gnome/status-bar.h:
	* src/fe-gnome/topic-label.h:
	* src/fe-gnome/userlist.h:
	* src/fe-gnome/xtext.c:
	* src/fe-gnome/xtext.h:
	* src/libcontrast/contrast.h: Fix includes. Bug #563636, patch by
	Przemysław Grzegorczyk and Pedro Fragoso.

2009-01-12  Christian Persch  <chpe@gnome.org>

	=== Release 2.24.3 ===

	* NEWS:
	* configure.ac: 

2009-01-01  Christian Persch  <chpe@gnome.org>

	* configure.ac: Don't define USE_SHM. Bug #565958.

2008-10-20  Christian Persch  <chpe@gnome.org>

	=== Release 0.24.1 ===

	* configure.ac: Version update.

2008-09-23  Baptiste Mille-Mathias  <baptistem@gnome.org>

	* data/icons/hicolor/16x16/apps/xchat-gnome-search-wrapped.png:
	updated to have a tango styled icon (courtesy to Mickael Monreal).

2008-09-22  Baptiste Mille-Mathias  <baptistem@gnome.org>

	* data/icons/hicolor/16x16/apps/xchat-gnome-message-data.png: 
	update to have a tango styled icon.

2008-09-22  Christian Persch  <chpe@gnome.org>

	=== Release 0.24.0 ===

	* configure.ac: Prepare 0.24.0.

2008-09-10  Sebastien Bacher  <seb128@ubuntu.com>

	* configure.ac: correctly set the libnotify and libcanberra options 
          (bug #551515)

2008-09-07  Christian Persch  <chpe@gnome.org>

	Bug 431785 – Reset laststamp when clearing window

	* src/fe-gnome/xtext.c: Patch by Adam Lopresto.

2008-09-07  Christian Persch  <chpe@gnome.org>

	* src/common/xchat.c: Use xdg-open here instead of gnome-open.

2008-09-07  Christian Persch  <chpe@gnome.org>

	* plugins/notification/notification.c: (got_focus_cb),
	(xchat_gnome_plugin_init):
	* plugins/notify-osd/notify-osd.c: (xchat_plugin_init),
	(xchat_plugin_deinit): Correctly uninit the plugin.

2008-09-07  Christian Persch  <chpe@gnome.org>
	
	* src/fe-gnome/conversation-panel.c: (conversation_panel_init),
	(drag_data_received): Simplify DND code.

2008-09-07  Christian Persch  <chpe@gnome.org>

	Bug 522051 – Does not send IRC color escape codes properly

	* src/fe-gnome/text-entry.c: (color_code_activate): Use ^C instead of
	%C to intro the colour code. Patch by Aaron Haviland.

2008-09-07  Christian Persch  <chpe@gnome.org>

	Bug 478936 – the language list is updated incorrectly

	* src/fe-gnome/preferences-page-spellcheck.c:
	(gconf_languages_changed): Correctly toggle the active state. Patch by
	Sebastien Bacher.

2008-09-07  Christian Persch  <chpe@gnome.org>

	Bug 503871 – press Ctrl+o opens a browser with a url
	'http://www.(null).com/'

	* src/fe-gnome/conversation-panel.c: (open_url): Don't do anything
	when nothing it selected.

2008-09-07  Christian Persch  <chpe@gnome.org>

	* configure.ac: Make libcanberra and libnotify explict dependencies
	with a --disable switch, instead of automatic dependencies.

2008-09-06  Cosimo Cecchi  <cosimoc@gnome.org>

	* plugins/notification/notification.c:
	* plugins/notify-osd/notify-osd.c:
	* plugins/python/Makefile.am:
	* plugins/python/python.c: (Util_Autoload):
	* plugins/url_scraper/urlscraper.c: (url_open):
	* src/common/*
	* src/fe-gnome/*
	General code cleanup. Fix many GCC warnings and drop libgnome usage
	in favour of more recent functions where possible (#551041).

2008-09-05  Cosimo Cecchi  <cosimoc@gnome.org>

	* src/fe-gnome/dcc-window.c: (dcc_window_init),
	(dcc_window_update):
	* src/fe-gnome/dcc-window.h:
	Use the GEmblem machinery instead of using custom code to composite
	emblems on icons (#550970).

2008-09-05  Cosimo Cecchi  <cosimoc@gnome.org>

	* data/Makefile.am:
	Remove the now unneeded WAV file for the incoming messages.

2008-09-05  Cosimo Cecchi  <cosimoc@gnome.org>

	* configure.ac:
	* plugins/sound-notification/Makefile.am:
	* plugins/sound-notification/sound-notification.c: (new_msg_cb),
	(xchat_plugin_init), (xchat_plugin_deinit):
	Use libcanberra-gtk instead of gnome_sound API (#550984).

2008-09-05  Cosimo Cecchi  <cosimoc@gnome.org>

	* src/fe-gnome/dcc-window.c: (dcc_window_update):
	Build fix: typos in the GIO port patch.

2008-09-05  Cosimo Cecchi  <cosimoc@gnome.org>

	* configure.ac:
	Require Glib 2.16.0 and GTK+ 2.13.7.
	* src/fe-gnome/conversation-panel.c: (drop_paste), (uri_is_text),
	(check_file_size):
	* src/fe-gnome/dcc-window.c: (dcc_window_update):
	* src/fe-gnome/fe-gnome.c:
	Drop gnome-vfs dependency; port to the GIO api.
	Part of bug #550985.

2008-09-03  Diego Escalante Urrelo  <diegoe@gnome.org>

	* src/fe-gnome/main-window.c: (on_main_window_window_state),
	(initialize_main_window): Hide resize grip when window is maximized.
	Patch by Juan Percy Rojas Cruz, closes: #518538.

2008-09-01  Christian Persch  <chpe@gnome.org>

	* src/fe-gnome/dcc-window.c: (dcc_window_add), (dcc_window_update):
	Use g_format_size_for_display.

2008-09-01  Christian Persch  <chpe@gnome.org>

	* src/fe-gnome/about.c: (show_about_dialog): Set the "program-name"
	property instead of "name". Mark the name as translatable, and update
	the copyright year.

2008-09-01  Christian Persch  <chpe@gnome.org>

	* src/fe-gnome/fe-gnome.c: (get_str_response),
	(get_number_response): Destroy the dialogue irrespective of the
	response code.

2008-09-01  Christian Persch  <chpe@gnome.org>

	* src/fe-gnome/fe-gnome.c: (fe_args): Set the application name.

2008-09-01  Christian Persch  <chpe@gnome.org>

	* data/xchat-gnome.desktop.in.in: Remove deprecated Encoding line.

2008-09-01  Stéphane Raimbault  <stephane.raimbault@gmail.com>

	* configure.ac: 
	  - Add a context information to the Edit button. Bug #516572.
	* data/preferences-dialog.glade: 
	  - Bump required libglade version to 2.3.2

2008-08-31  Christian Persch  <chpe@gnome.org>

	* src/fe-gnome/xtext.c:
	* src/fe-gnome/xtext.h: Build with gtk trunk. Bug #541813.

2008-08-31  Christian Persch  <chpe@gnome.org>

	* data/xchat-gnome.desktop.in.in: Add StartupNotify.

2008-08-31  Christian Persch  <chpe@gnome.org>

	* src/common/dbus/dbus-plugin.c:
	* src/common/modes.c:
	* src/fe-gnome/gui.c:
	* src/fe-gnome/gui.h: Fix includes so out-of-srcdir builds work.

2008-08-31  Christian Persch  <chpe@gnome.org>

	* src/common/dbus/Makefile.am: Don't add configure-generated sources
	to BUILT_SOURCES; and make clean cleaner.

2008-08-31  Christian Persch  <chpe@gnome.org>

	* Makefile.am:
	* autogen.sh: Fix dist with intltool 0.40.0.

2007-09-09  Steve Frécinaux  <code@istique.net>

	* data/preferences-dialog.glade:
	  - add a "colorize nicknames" checkbox on the Color page.
	* src/fe-gnome/apps_xchat.schemas.in:
	  - add a /app/xchat/irc/colorize_nicknames gconf key.
	* src/fe-gnome/preferences-page-colors.[ch]:
	* src/fe-gnome/preferences.c:
	  - hook up the property into xchat-gnome ui. Bug #432250.

2007-09-11  David Trowbridge  <trowbrds@gmail.com>

	* help/Makefile.am:
	  - Add the pt_BR translation.

2007-09-09  David Trowbridge  <trowbrds@gmail.com>

	* src/fe-gnome/main-window.c:
	  - Fix a problem where it was always using /away to toggle the away
	  state, which is not respected by all servers.  Bug 462031.

2007-09-09  David Trowbridge  <trowbrds@gmail.com>

	* data/icons/hicolor/16x16/apps/xchat-gnome-status-voice.png:
	  - Use the nice-looking pidgin icon for this.

==================== 0.18 ====================

2007-07-08  David Trowbridge  <trowbrds@gmail.com>

	* configure.ac:
	* NEWS:
	  - Bump to 0.18

2007-07-07  David Trowbridge  <trowbrds@gmail.com>

	* src/fe-gnome/userlist.c:
	* src/fe-gnome/navigation-tree.c:
	  - Ensure dispose/finalize handlers are chained.  Bug 433126.

2007-07-07  David Trowbridge  <trowbrds@gmail.com>

	* m4/gnome-doc-utils.m4:
	  - Automatically updated

	* plugins/python/python.c:
	* plugins/tcl/tclplugin.c:
	  - Fix i81n stuff.  Bugs 447453 and 450738.

2007-06-24  Guillaume Desmottes  <gdesmott@gnome.org>

	* plugins/python/python.c:
	  - Include gi18n.h so _ symbol is defined. Thanks to Laurent
	    Bigonville for the fix. Bug 432252.

2007-06-12  David Trowbridge  <trowbrds@gmail.com>

	* src/fe-gnome/fe-gnome.c:
	  - Set current_session to NULL when closing windows, if we need to.
	    Bug 429920.

2007-06-12  David Trowbridge  <trowbrds@gmail.com>

	* src/common/outbound.c:
	* src/common/ssl.c:
	* src/common/ssl.h:
	* src/common/servlist.c:
	* src/common/dbus/example.py:
	* src/common/dbus/dbus-plugin.c:
	* src/common/dbus/CVS/Entries:
	* src/common/dbus/example.c:
	* src/common/dbus/README:
	* src/common/dbus/remote-object.xml:
	* src/common/xchatc.h:
	* src/common/cfgfiles.c:
	* src/common/text.c:
	* src/common/cfgfiles.h:
	* src/common/.cvsignore:
	* src/common/plugin.c:
	* src/common/inbound.c:
	* src/common/fe.h:
	* src/common/tree.c:
	* src/common/url.c:
	* src/common/server.c:
	* src/common/xchat.c:
	* src/common/notify.c:
	* src/common/CVS/Entries:
	* src/common/userlist.c:
	* src/common/xchat.h:
	* src/common/userlist.h:
	* src/common/ctcp.c:
	* src/fe-gnome/fe-gnome.c:
	* src/fe-gnome/setup-dialog.c:
	  - Update from xchat cvs, fix some stuff.

2007-06-12  David Trowbridge  <trowbrds@gmail.com>

	* data/xchat-gnome.glade:
	  - Patch from Leonardo Ferreira Fontenelle to fix a translatable
	    string.  Bug 436457.

2007-05-19  Manuel Braga  <mul.braga@gmail.com>

	* src/fe-gnome/connect-dialog.c:
	  - Don't crash when connecting to a network with no servers defined.
	    Bug #435944.

2007-05-06  David Trowbridge  <trowbrds@gmail.com>

	* src/fe-gnome/xtext.c:
	  - Make it build.  Shows how many people are using xg svn.

2007-04-25  Steve Frécinaux  <code@istique.net>

	* src/fe-gnome/preferences.c:
	  - Redraw the text area when the color preference is changed in
	    gconf.  Bug #433302.

2007-04-28  George Sherwood  <gsherwood@sourcemage.org>

	* src/fe-gnome/xtext.c:
	  - Fix compilation with --disable-shm. Bug #434037.

2007-04-20  Brian Pepple  <bpepple@fedoraproject.org>

	* data/Makefile.am (update-icon-cache):
	  - Fix gtk-update-icon-cache.  Bug #431573.

2007-04-22  Adam Lopresto  <adam@pubcrawler.org>

	* src/fe-gnome/xtext.c:
	  - Clear last-nickname field when the view is cleared.  Bug #431785.

2007-04-14  David Trowbridge  <trowbrds@gmail.com>

	* src/fe-gnome/setup-dialog.c:
	  - Fix some bogus widget handling.  Bug #425836.

2007-04-03  David Trowbridge  <trowbrds@gmail.com>

	* src/fe-gnome/preferences.c:
	  - Avoid freeing static data in certain cases.  Bug #426066.

2007-04-03  David Trowbridge  <trowbrds@gmail.com>

	* configure.ac:
	  - Bump version to 0.18svn

==================== 0.17 ====================

2007-04-01  David Trowbridge  <trowbrds@gmail.com>

	* src/libcontrast/Makefile.am:
	* configure.ac:
	* data/Makefile.am:
	* NEWS:
	A po/POTFILES.skip:
	  - Bump version, fix distcheck.

2007-03-31  David Trowbridge  <trowbrds@gmail.com>

	* src/Makefile.am:
	  - Things work better if they're built in the right order.

2007-03-31  David Trowbridge  <trowbrds@gmail.com>

	* src/fe-gnome/conversation-panel.c:
	* src/fe-gnome/text-entry.c:
	* src/fe-gnome/text-entry.h:
	* src/fe-gnome/preferences-page-plugins.c:
	* src/fe-gnome/userlist-gui.c:
	* src/fe-gnome/preferences-dialog.c:
	* src/fe-gnome/topic-label.c:
	* src/fe-gnome/preferences-page-spellcheck.c:
	* configure.ac:
	  - Bump required libsexy version to 0.1.11 to pick up url-label
	    bugfixes, and make it a hard dependency rather than a soft one.
	    Everyone deserves sexiness!

2007-03-29  David Trowbridge  <trowbrds@gmail.com>

	* src/libcontrast:
	* src/libcontrast/contrast.h:
	* src/libcontrast/Makefile.am:
	* src/libcontrast/README:
	* src/libcontrast/contrast.c:
	* src/Makefile.am:
	* src/fe-gnome/palette.c:
	* src/fe-gnome/Makefile.am:
	* configure.ac:
	  - Pull color palette optimization code out into a separate,
	    MIT-licensed, easily cherry-pickable chunk of code.

2007-03-20  David Trowbridge  <trowbrds@gmail.com>

	* src/fe-gnome/connect-dialog.c:
	* src/fe-gnome/connect-dialog.h:
	  - Clean up some ugly/silly code in hopes of fixing bug #361791.

2007-03-18  David Trowbridge  <trowbrds@gmail.com>

	* src/common/dbus/CVS/Entries:
	* src/common/xchat.c:
	* src/common/CVS/Entries:
	  - Update from xchat CVS for a crasher fix.

	* src/fe-gnome/image-utils.c
	* src/fe-gnome/gui.c
	* src/fe-gnome/navigation-tree.c:
	  - Make my C look more like lisp.

2007-03-18  David Trowbridge  <trowbrds@gmail.com>

	* plugins/notification/preferences-page-plugin-notification.c:
	* src/fe-gnome/util.c:
	* src/fe-gnome/main-window.c:
	* src/fe-gnome/preferences-dialog.c:
	* src/fe-gnome/gui.c:
	* src/fe-gnome/topic-label.c:
	* src/fe-gnome/about.c:
	* src/fe-gnome/connect-dialog.c:
	* src/fe-gnome/irc-network-editor.c:
	* src/fe-gnome/dcc-window.c:
	* src/fe-gnome/channel-list-window.c:
	* src/fe-gnome/setup-dialog.c:
	  - Some cleanup.

2007-03-17  David Trowbridge  <trowbrds@gmail.com>

	* src/common/servlist.c:
	* src/common/dbus/CVS/Entries:
	* src/common/util.c:
	* src/common/proto-irc.c:
	* src/common/cfgfiles.c:
	* src/common/dcc.c:
	* src/common/plugin.c:
	* src/common/url.c:
	* src/common/server.c:
	* src/common/url.h:
	* src/common/CVS/Entries:
	* src/common/server.h:
	* src/common/xchat.h:
	  - Sync from xchat cvs.

2007-03-16  Sebastien Bacher  <seb128@debian.org>

	* src/common/text.c:
	  - Don't use gettext when not required.  Bug #388689.

2007-03-06  David Trowbridge  <trowbrds@gmail.com>

	* src/fe-gnome/preferences-page-spellcheck.c:
	  - Fix a crash due to broken treeview calls.  Bug #413228.

2007-02-19  David Trowbridge  <trowbrds@gmail.com>

	* src/fe-gnome/find-bar.c:
	  - Fix a broken class initialization, which was causing a crash during
	    finalization at quit.  Bug #409458.

2007-02-18  David Trowbridge  <trowbrds@gmail.com>

	* src/common/xchat.c:
	  - Fix a potential crasher.  Bug #409224.

2007-02-13  David Trowbridge  <trowbrds@gmail.com>

	* src/common/tree.c:
	* src/common/userlist.c:
	  - Fix a potential crasher.  Bug #402747.

2007-02-11  David Trowbridge  <trowbrds@gmail.com>

	* src/common/outbound.c:
	* src/common/fe.h:
	* src/fe-gnome/migration.c:
	* src/fe-gnome/fe-gnome.c:
	* src/fe-gnome/status-bar.c:
	* src/fe-gnome/find-bar.c:
	  - More cleanup.

2007-02-10  David Trowbridge  <trowbrds@gmail.com>

	* src/common/cfgfiles.c:
	* src/fe-gnome/preferences.c:
	* src/fe-gnome/preferences.h:
	  - Use a better download directory.  Bug #363661.

2007-02-10  David Trowbridge  <trowbrds@gmail.com>

	* src/fe-gnome/preferences.c:
	  - Tighten things up a bit more.

2007-02-10  David Trowbridge  <trowbrds@gmail.com>

	* src/fe-gnome/preferences-page-dcc.c:
	* src/fe-gnome/preferences-page-dcc.h:
	  - Clean up some ugly code.

	* src/fe-gnome/userlist-gui.c:
	  - Make sure to return a value.

2007-02-09  David Trowbridge  <trowbrds@gmail.com>

	* Makefile.am:
	  - Move intltool-* to DISTCLEANFILES.  Bug #406289.

2007-02-08  David Trowbridge  <trowbrds@gmail.com>

	* data/setup-dialog.glade:
	  - Set "activates default" on the last text entry box.  Give the
	    dialog the xchat-gnome icon.  Bug #404793.

2007-02-08  David Trowbridge  <trowbrds@gmail.com>

	* src/fe-gnome/preferences.c:
	* src/fe-gnome/preferences.h:
	* src/fe-gnome/main-window.c:
	* src/fe-gnome/fe-gnome.c:
	* src/fe-gnome/main-window.h:
	* src/fe-gnome/setup-dialog.c:
	  - Change nickname data in the xchat config file only when changed in
	    the GUI, rather than every time the app starts.  Bug #396750.

2007-02-08  David Trowbridge  <trowbrds@gmail.com>

	* plugins/autoaway/autoaway.c:
	  - Remove noisy print messages.  Bug #405847.

2007-02-05  David Trowbridge  <trowbrds@gmail.com>

	* plugins/python/CVS/Entries:
	* plugins/perl/Xchat.pm:
	* plugins/perl/perl.c:
	* plugins/perl/CVS/Entries:
	* src/common/outbound.c:
	* src/common/textenums.h:
	* src/common/dbus/dbus-plugin.c:
	* src/common/dbus/CVS/Entries:
	* src/common/util.c:
	* src/common/proto-irc.c:
	* src/common/xchatc.h:
	* src/common/cfgfiles.c:
	* src/common/util.h:
	* src/common/text.c:
	* src/common/dcc.c:
	* src/common/text.h:
	* src/common/plugin.c:
	* src/common/inbound.c:
	* src/common/fe.h:
	* src/common/server.c:
	* src/common/xchat.c:
	* src/common/CVS/Entries:
	* src/common/xchat.h:
	* src/common/textevents.h:
	* src/common/textevents.in:
	  - Sync to xchat HEAD.

2007-02-03  David Trowbridge  <trowbrds@gmail.com>

	* src/fe-gnome/xtext.c:
	  - Fix a bug where the cursor wouldn't update when moving right from
	    hovering over the indent bar onto a link.  Bug #393621.

2007-01-29  Guillaume Desmottes  <gdesmott@gnome.org>

	* plugins/python/python.c:
	* plugins/perl/perl.c:
	* plugins/tcl/tclplugin.c:
	* po/POTFILES.in:
	  - Make description strings translatable. Bug #401383.

2007-01-28  David Trowbridge  <trowbrds@gmail.com>

	* src/fe-gnome/plugins.c:
	  - Fix a potential double free when unloading scripts which failed to
	    load.  Bug #370770.

2007-01-21  David Trowbridge  <trowbrds@gmail.com>

	* src/common/cfgfiles.c:
	  - Change the default for max_auto_indent from 256 to 175 to be a bit
	    more sensible given average nicknames.  Bug #348543.
	* src/fe-gnome/about.c:
	  - Add a missing comma, which was making me and Daniel Drake show up
	    on the same line.  Bug #399215.

2007-01-19  Michel Dänzer  <daenzer@debian.org>

	* src/fe-gnome/xtext.c:
	  - When the MIT-SHM extension doesn't support shared pixmaps, don't
	    use XShmCreatePixmap but use XShmPutImage instead of XPutImage.
	    Bug #398315.

2007-01-10  Brian Pepple  <bpepple@fedoraproject.org>

	* data/icons/hicolor/48x48/apps/Makefile.am (icondir):
	* data/icons/hicolor/128x128/apps/Makefile.am (icondir):
	  - Install application icon into system hicolor theme. Bug #384160

2007-01-10  David Trowbridge  <trowbrds@gmail.com>

	* configure.ac:
	  - Bump to 0.17svn

==================== 0.16 ====================

2007-01-09  David Trowbridge <trowbrds@gmail.com>

	* plugins/notification/Makefile.am:
	  - Include preferences glade file in EXTRA_DIST

	* help/C/xchat-gnome.xml:
	  - Remove <application> tags from "app" element, since everywhere
	    that needs it already has the tag, and it was causing an xmllint
	    error.

2007-01-09  David Trowbridge <trowbrds@gmail.com>

	* configure.ac:
	* NEWS:
	  - Bump version to 0.16

2006-12-15  Guillaume Desmottes <cass@skynet.be>

	* NEWS:
	  - Add some words in NEWS about our new documentations

2006-12-18  Christian Persch  <chpe@cvs.gnome.org>

	* src/fe-gnome/conversation-panel.c: (copy_text):
	  - Set PRIMARY too on CopyLinkAddress. Bug #386766.

2006-12-15  Guillaume Desmottes <cass@skynet.be>

	* src/fe-gnome/navigation-tree.c:
	  - Fix regressions with autojoin and autoconnect.
	    Bug #385515.

2006-12-15  David Trowbridge <trowbrds@gmail.com>

	* src/fe-gnome/navigation-tree.c:
	  - This time I really mean it.

2006-12-15  David Trowbridge <trowbrds@gmail.com>

	* src/fe-gnome/navigation-tree.c:
	  - Actually fix hilighting.  For real this time.

2006-12-14  David Trowbridge <trowbrds@gmail.com>

	* src/fe-gnome/fe-gnome.c:
	* src/fe-gnome/navigation-tree.c:
	  - Fix a couple navtree-related regressions with hilighting and
	    the userlist. Bug #385515.

2006-12-10  David Trowbridge <trowbrds@gmail.com>

	* configure.ac:
	* autogen.sh:
	  - Bump the minimum required version of autoconf to 2.60, since it's
	    the minimum required version :)

2006-12-10  Christian Persch  <chpe@cvs.gnome.org>

	* data/icons/hicolor/128x128/apps/Makefile.am:
	* data/icons/hicolor/16x16/apps/Makefile.am:
	* data/icons/hicolor/22x22/apps/Makefile.am:
	* data/icons/hicolor/48x48/apps/Makefile.am:
	* data/icons/hicolor/scalable/apps/Makefile.am:
	  - Install the icons in the app sharedir, not the global one.

	* src/fe-gnome/Makefile.am:
	* src/fe-gnome/pixmaps.c: (pixmaps_init):
	  - Append the app icon dir to the theme directories, so xchat-gnome
	    can find its icons. Bug #384160.

2006-12-10  David Trowbridge <trowbrds@gmail.com>

	* src/fe-gnome/navigation-tree.h:
	* src/fe-gnome/conversation-panel.c:
	* src/fe-gnome/main-window.c:
	* src/fe-gnome/gui.c:
	* src/fe-gnome/gui.h:
	* src/fe-gnome/navigation-tree.c:
	* data/xchat-gnome-ui.xml:
	  - Set action sensitivity correctly.

2006-12-09  David Trowbridge <trowbrds@gmail.com>

	* src/fe-gnome/fe-gnome.c:
	* src/fe-gnome/navigation-tree.h:
	* src/fe-gnome/navigation-tree.c:
	  - Implement a couple more loose ends from the navtree rework.

2006-12-09  David Trowbridge <trowbrds@gmail.com>

	* src/fe-gnome/conversation-panel.c:
	  - Open existing channels/queries when clicking on them in the
	    conversation panel.

2006-12-09  David Trowbridge <trowbrds@gmail.com>

	* src/common/fe.h:
	* src/fe-gnome/navigation-tree.h:
	* src/fe-gnome/conversation-panel.c:
	* src/fe-gnome/util.c:
	* src/fe-gnome/util.h:
	* src/fe-gnome/main-window.c:
	* src/fe-gnome/userlist-gui.c:
	* src/fe-gnome/fe-gnome.c:
	* src/fe-gnome/irc-network.c:
	* src/fe-gnome/gui.c:
	* src/fe-gnome/topic-label.c:
	* src/fe-gnome/connect-dialog.c:
	* src/fe-gnome/userlist.c:
	* src/fe-gnome/navigation-tree.c:
	* data/xchat-gnome-ui.xml:
	  - Merge r10989:11029 from navtree-rework branch.

2006-12-09  David Trowbridge <trowbrds@gmail.com>

	* plugins/notify-osd/notify-osd.c:
	  - "Xchat OSD" -> "XChat-GNOME OSD"

2006-12-08  Guillaume Desmottes <cass@skynet.be>

	D src/fe-gnome/channel-list.c:
	A src/fe-gnome/channel-list-window.c:
	D src/fe-gnome/channel-list.h:
	A src/fe-gnome/channel-list-window.h:
	* src/fe-gnome/main-window.c:
	* src/fe-gnome/navigation-tree.c:
	* src/fe-gnome/Makefile.am:
	* data/channel-list.glade:
	* NEWS
	  - GObjectize the channel list window
	  - Rename it to be more "GObject spirit"
	  - New sexy design of the channel list window

	* src/fe-gnome/apps_xchat.schemas.in:
	* src/fe-gnome/fe-gnome.c:
	  - Add a gconf key disabling the auto popup of the
	    channel list window.

2006-11-26  David Trowbridge <trowbrds@gmail.com>

	* src/fe-gnome/xtext.c:
	  - Fix a potential crash in a bizzare edge case.  Fix your
	    scrollback configuration! (#367953).

2006-11-26  David Trowbridge <trowbrds@gmail.com>

	* src/fe-gnome/irc-network-editor.c:
	  - Fix a potential crasher, maybe. (#372871)

2006-11-10  Guillaume Desmottes <cass@skynet.be>

	* src/common/dbus/url_handler.schemas.in:
	* src/fe-gnome/conversation-panel.c:
	* src/fe-gnome/fe-gnome.c:
	* data/setup-dialog.glade:
	  - Replace some "xchat-gnome" to "XChat-GNOME"

2006-11-02  Guillaume Desmottes <cass@skynet.be>

	A src/fe-gnome/preferences-page.c:
	A src/fe-gnome/preferences-page.h:
	* src/fe-gnome/preferences-page-dcc.c:
	* src/fe-gnome/preferences-page-dcc.h:
	* src/fe-gnome/preferences-page-irc.c:
	* src/fe-gnome/preferences-page-irc.h:
	* src/fe-gnome/preferences-page-colors.c:
	* src/fe-gnome/preferences-page-colors.h:
	* src/fe-gnome/preferences-page-networks.c:
	* src/fe-gnome/preferences-page-spellcheck.c:
	* src/fe-gnome/preferences-page-networks.h:
	* src/fe-gnome/preferences-page-spellcheck.h:
	* src/fe-gnome/preferences-page-effects.c:
	* src/fe-gnome/preferences-page-effects.h
	* src/fe-gnome/Makefile.am:
	  - GObjectize preferences pages.
	  - Make them inherit from PreferencesPage.

	* src/fe-gnome/preferences-page-plugins.c:
	* src/fe-gnome/preferences-page-plugins.h:
	* src/fe-gnome/preferences-dialog.c:
	* src/fe-gnome/preferences-dialog.h:
	  - Add the ability to plugins to have their own
	    preferences page. (#321325)

	A plugins/notification/preferences-notification.glade:
	A plugins/notification/preferences-page-plugin-notification.h:
	A plugins/notification/preferences-page-plugin-notification.c:
	* plugins/notification/TODO:
	* plugins/notification/notification.c:
	* plugins/notification/Makefile.am:
	* NEWS:
	* po/POTFILES.in:
	  - Add a preference page to configure the level of notification.

2006-11-01  David Trowbridge  <trowbrds@gmail.com>

	* src/common/outbound.c:
	* src/common/ssl.c:
	* src/common/servlist.c:
	* src/common/dbus/CVS/Entries:
	* src/common/util.c:
	* src/common/proto-irc.c:
	* src/common/cfgfiles.c:
	* src/common/util.h:
	* src/common/dcc.c:
	* src/common/dcc.h:
	* src/common/modes.c:
	* src/common/xchat.c:
	* src/common/CVS/Entries:
	* src/common/xchat.h:
	* src/fe-gnome/channel-list.c:
	  - Sync from xchat CVS.

2006-10-29  David Trowbridge  <trowbrds@gmail.com>

	* src/common/outbound.c:
	* src/common/xchatc.h:
	* src/common/cfgfiles.c:
	* src/common/cfgfiles.h:
	* src/common/xchat.c:
	* src/common/ctcp.c:
	* src/fe-gnome/text-entry.c:
	  - Remove a bunch of code we're not using, convert a few things from
	    GSList to GList, and make command tab-completion work.

2006-10-29  Guillaume Desmottes <cass@skynet.be>

	A .bzrignore:
	  - Add a bazaar ignore file for people using this
	    VCS.

2006-10-28  David Trowbridge  <trowbrds@gmail.com>

	* configure.ac:
	  - Bump to 0.16svn.

==================== 0.15 ====================

2006-10-28  David Trowbridge  <trowbrds@gmail.com>

	* configure.ac:
	* NEWS:
	  - Bump to 0.15.

2006-10-28  Guillaume Desmottes <cass@skynet.be>

	* src/fe-gnome/dcc-window.c:
	  - Fix a potential crasher when sending a file. (#365552)

2006-10-27  David Trowbridge  <trowbrds@gmail.com>

	* src/fe-gnome/preferences-page-dcc.c:
	* data/Makefile.am:
	A data/icons/hicolor/16x16/apps/xchat-gnome-dcc.png:
	* data/icons/hicolor/16x16/apps/Makefile.am:
	D data/dcc.png:
	  - Move last icon into the icontheme dir.

2006-10-27  David Trowbridge  <trowbrds@gmail.com>

	* src/fe-gnome/migration.c:
	  - Another possible crasher.

2006-10-27  David Trowbridge  <trowbrds@gmail.com>

	* src/fe-gnome/pixmaps.c:
	* src/fe-gnome/pixmaps.h:
	* src/fe-gnome/userlist-gui.c:
	* src/fe-gnome/userlist.c:
	D data/voice.png:
	* data/Makefile.am:
	A data/icons/hicolor/16x16/apps/xchat-gnome-status-voice.png:
	* data/icons/hicolor/16x16/apps/Makefile.am:
	  - Move (currently crapp) voice icon into the icon theme.

2006-10-27  David Trowbridge  <trowbrds@gmail.com>

	* configure.ac
	D data/xchat-gnome-small.png
	* data/icons/hicolor/Makefile.am
	A data/icons/hicolor/128x128
	A data/icons/hicolor/128x128/apps/Makefile.am
	A data/icons/hicolor/128x128/apps
	A data/icons/hicolor/128x128/apps/xchat-gnome.png
	A data/icons/hicolor/128x128/Makefile.am
	  - Might as well install the 128x128 logo into a icontheme dir.

2006-10-27  David Trowbridge  <trowbrds@gmail.com>

	* src/fe-gnome/main-window.c:
	* data/icons/hicolor/22x22/apps/Makefile.am:
	A data/icons/hicolor/22x22/apps/xchat-gnome-users.png:
	* data/icons/hicolor/16x16/apps/Makefile.am:
	A data/icons/hicolor/16x16/apps/xchat-gnome-users.png:
	  - Import the tango users icon into here, since the system icon theme
	    doesn't have an icon with that name :(

2006-10-27  David Trowbridge  <trowbrds@gmail.com>

	* src/fe-gnome/preferences-page-plugins.c:
	* src/fe-gnome/about.c:
	* configure.ac:
	* data/Makefile.am:
	D data/plugin-manager.png:
	A data/icons/hicolor/22x22/apps/xchat-gnome-plugin.svg:
	A data/icons/hicolor/22x22/apps/xchat-gnome-plugin.png:
	A data/icons/hicolor/16x16/apps/xchat-gnome-plugin.svg:
	A data/icons/hicolor/16x16/apps/xchat-gnome-plugin.png:
	A data/icons/hicolor/scalable/Makefile.am:
	A data/icons/hicolor/scalable:
	A data/icons/hicolor/scalable/apps:
	A data/icons/hicolor/scalable/apps/xchat-gnome-plugin.svg:
	A data/icons/hicolor/scalable/apps/Makefile.am:
	* data/icons/hicolor/Makefile.am:
	  - Add Jones Lee's extension (plugin) icon

2006-10-27  David Trowbridge  <trowbrds@gmail.com>

	* src/fe-gnome/migration.c:
	  - Fix a potential crasher with a null value in gconf during
	    migration.

2006-10-27  David Trowbridge  <trowbrds@gmail.com>

	* configure.ac:
	  - Bump to C99 on this branch too.

2006-10-27  David Trowbridge  <trowbrds@gmail.com>

	* src/fe-gnome/pixmaps.c:
	* src/fe-gnome/pixmaps.h:
	* src/fe-gnome/userlist.c:
	* data/Makefile.am:
	D data/purple.png:
	D data/red.png:
	  - No more owner/founder icons, since very few IRC servers use this
	    anymore.

2006-10-27  David Trowbridge  <trowbrds@gmail.com>

	D po/nl.po:
	* po/LINGUAS:
	  - Remove broken translation upon request from gnome-nl.

2006-10-27  David Trowbridge  <trowbrds@gmail.com>

	* data/icons/hicolor/22x22/apps/xchat-gnome-message-nickname-said.png:
	A data/icons/hicolor/22x22/apps/xchat-gnome-status-halfop.svg:
	A data/icons/hicolor/22x22/apps/xchat-gnome-message-new.svg:
	A data/icons/hicolor/22x22/apps/xchat-gnome-status-operator.svg:
	A data/icons/hicolor/22x22/apps/xchat-gnome-message-nickname-said.svg:
	* data/icons/hicolor/16x16/apps/xchat-gnome-message-nickname-said.png:
	A data/icons/hicolor/16x16/apps/xchat-gnome-status-halfop.svg:
	A data/icons/hicolor/16x16/apps/xchat-gnome-message-new.svg:
	A data/icons/hicolor/16x16/apps/xchat-gnome-status-operator.svg:
	A data/icons/hicolor/16x16/apps/xchat-gnome-message-nickname-said.svg:
	  - Even awesomer nickname-said icon.  Also include source artwork.

2006-10-27  David Trowbridge  <trowbrds@gmail.com>

	* src/fe-gnome/find-bar.c:
	D data/wrap.png:
	* data/Makefile.am:
	A data/icons/hicolor/16x16/apps/xchat-gnome-search-wrapped.png:
	* data/icons/hicolor/16x16/apps/Makefile.am:
	  - Move wrap into the icon theme, why not.

2006-10-26  David Trowbridge  <trowbrds@gmail.com>

	* src/fe-gnome/about.c:
	  - Add credits for Andreas & Lapo.  Whoo!

2006-10-26  David Trowbridge  <trowbrds@gmail.com>

	* plugins/notification/notification.c:
	* plugins/notify-osd/notify-osd.c:
	* src/fe-gnome/pixmaps.c:
	* src/fe-gnome/navigation-tree.c:
	* configure.ac:
	D data/op.png:
	D data/global-message.png:
	D data/newdata.png:
	D data/nicksaid.png:
	D data/hop.png:
	* data/Makefile.am:
	* data/icons/hicolor/48x48/apps:
	A data/icons/hicolor/22x22:
	A data/icons/hicolor/22x22/apps:
	A data/icons/hicolor/22x22/apps/xchat-gnome-message-nickname-said.png:
	A data/icons/hicolor/22x22/apps/xchat-gnome-status-halfop.png:
	A data/icons/hicolor/22x22/apps/xchat-gnome-message-new.png:
	A data/icons/hicolor/22x22/apps/xchat-gnome-status-operator.png:
	A data/icons/hicolor/22x22/apps/Makefile.am:
	A data/icons/hicolor/22x22/Makefile.am:
	M data/icons/hicolor/16x16:
	* data/icons/hicolor/16x16/apps:
	* data/icons/hicolor/16x16/apps/xchat-gnome-message-nickname-said.png:
	A data/icons/hicolor/16x16/apps/xchat-gnome-status-halfop.png:
	A data/icons/hicolor/16x16/apps/xchat-gnome-message-new.png:
	A data/icons/hicolor/16x16/apps/xchat-gnome-message-data.png:
	A data/icons/hicolor/16x16/apps/xchat-gnome-status-operator.png:
	A data/icons/hicolor/16x16/apps/Makefile.am:
	A data/icons/hicolor/16x16/Makefile.am:
	* data/icons/hicolor/Makefile.am:
	  - Add awesome new icons.


2006-10-26  David Trowbridge  <trowbrds@gmail.com>

	* configure.ac:
	D data/xchat-gnome.png:
	* data/Makefile.am:
	A data/icons:
	A data/icons/Makefile.am:
	A data/icons/hicolor:
	A data/icons/hicolor/Makefile.am:
	A data/icons/hicolor/48x48:
	A data/icons/hicolor/48x48/Makefile.am:
	A data/icons/hicolor/48x48/apps:
	A data/icons/hicolor/48x48/apps/Makefile.am:
	A data/icons/hicolor/48x48/apps/xchat-gnome.png:
	A data/icons/hicolor/16x16:
	A data/icons/hicolor/16x16/apps:
	  - Make a mini-icontheme here, to organize everything.


2006-10-26  David Trowbridge  <trowbrds@gmail.com>

	* data/Makefile.am:
	  - Don't install xchat-gnome.png into $PREFIX/share/xchat-gnome.

2006-10-22  David Trowbridge  <trowbrds@gmail.com>

	* src/fe-gnome/preferences-page-networks.c:
	* src/fe-gnome/preferences-page-effects.c:
	* data/Makefile.am:
	D data/effects.png:
	D data/servers.png:
	  - Remove a couple more bundled images.


2006-10-22  David Trowbridge  <trowbrds@gmail.com>

	* src/fe-gnome/main-window.c:
	  - Hack around the fact that there isn't a standard name for the
	    "people" icon.

2006-10-22  David Trowbridge  <trowbrds@gmail.com>

	* src/fe-gnome/main-window.c:
	* src/fe-gnome/preferences-page-irc.c:
	* src/fe-gnome/preferences-page-colors.c:
	* src/fe-gnome/preferences-page-spellcheck.c:
	* src/fe-gnome/dcc-window.c:
	* data/Makefile.am:
	D data/stock_link.png:
	D data/users.png:
	D data/logout.png:
	D data/color.png:
	D data/stock_up.png:
	D data/notauthorized.png:
	D data/soap.png:
	D data/preferences-keybindings.png:
	D data/toilet-paper.png:
	D data/stock_down.png:
	D data/spellcheck.png:
	D data/irc.png:
	  - Get rid of a lot of the icons we're currently bundling, in favor
	    of theme-based ones.


2006-10-21  David Trowbridge  <trowbrds@gmail.com>

	* src/fe-gnome/conversation-panel.c:
	* src/fe-gnome/topic-label.c:
	* src/fe-gnome/navigation-tree.c:
	  - Fix a few problems when closing the last server.  This prevents a
	    couple crashes, and resets the window title. (#363859)

2006-10-21  David Trowbridge  <trowbrds@gmail.com>

	* src/fe-gnome/preferences-page-networks.c:
	  - Use weak references to the editor dialogs to repopulate the list
	    on the networks prefs page.  The way it was written before worked
	    fine when this editor was modal, but was broken now. (#363655)

2006-10-21  David Trowbridge  <trowbrds@gmail.com>

	* data/xchat-gnome.glade:
	  - Disable the "Users" button by default, since it will be enabled
	    when the first channel is joined, and it doesn't make sense when
	    not connected to anything. (#363651)

2006-10-21  David Trowbridge  <trowbrds@gmail.com>

	* src/fe-gnome/irc-network-editor.c:
	* data/irc-network-editor.glade:
	  - Use "Close" and "Revert" buttons in network editor dialog
	    instead of "OK" and "Cancel" (#363658)

2006-10-21  David Trowbridge  <trowbrds@gmail.com>

	* data/xchat-gnome.glade:
	  - Change initial window title to include the words "IRC Client"
	    (#363649).

2006-10-18  David Trowbridge  <trowbrds@gmail.com>

	* src/fe-gnome/xtext.c:
	* src/fe-gnome/xtext.h:
	A src/fe-gnome/image-utils.c:
	A src/fe-gnome/image-utils.h:
	* src/fe-gnome/fe-gnome.c:
	* src/fe-gnome/gui.c:
	* src/fe-gnome/about.c:
	* src/fe-gnome/Makefile.am:
	* configure.ac:
	  - Merge 10916:10923 from xtext-rework branch.

2006-10-16  David Trowbridge  <trowbrds@gmail.com>

	* src/fe-gnome/conversation-panel.c:
	* src/fe-gnome/xtext.c:
	* src/fe-gnome/xtext.h:
	  - Merge 10907:10916 from xtext-rework branch.

2006-10-16  David Trowbridge  <trowbrds@gmail.com>

	* configure.ac:
	  - Bump to 0.15svn

==================== 0.14 ====================

2006-10-15  David Trowbridge  <trowbrds@gmail.com>

	* m4/gnome-doc-utils.m4:
	  - gnome-doc-utils really wants to update this.

	* configure.ac:
	* NEWS:
	  - Bump to 0.14

2006-10-15  David Trowbridge  <trowbrds@gmail.com>

	* src/fe-gnome/xtext.c:
	  - Fix a small regression in hilight rendering. (#362477)

2006-10-15  David Trowbridge  <trowbrds@gmail.com>

	* src/fe-gnome/xtext.c:
	  - Well, I can reliably detect when the screen is composited now.

2006-10-15  David Trowbridge  <trowbrds@gmail.com>

	* src/fe-gnome/xtext.c:
	* src/fe-gnome/xtext.h:
	  - Some more cleanup, and the first baby steps towards true
	    transparency.

2006-10-14  David Trowbridge  <trowbrds@gmail.com>

	* src/fe-gnome/topic-label.c:
	  - Do alignment properly.  Unfortunately, this hasn't fixed the bug.

2006-10-14  David Trowbridge  <trowbrds@gmail.com>

	* src/fe-gnome/userlist-gui.c:
	  - One last fix before bed -- pop up the userlist on the correct
	    monitor in xinerama situations. (#347045)

2006-10-13  David Trowbridge  <trowbrds@gmail.com>

	* plugins/notification/notification.c:
	* plugins/notification/Makefile.am:
	* configure.ac:
	D plugins/notification/eggtrayicon.c:
	D plugins/notification/eggtrayicon.h:
	  - Apply Christian Persch's patch to port the notification plugin to
	    GtkStatusIcon, and bump the required GTK+ version to 2.10.0.

2006-10-13  David Trowbridge  <trowbrds@gmail.com>

	* src/fe-gnome/conversation-panel.c:
	  - Fix a potential crasher if another message comes in right after
	    we've closed a channel (#356612).

2006-10-13  David Trowbridge  <trowbrds@gmail.com>

	* src/fe-gnome/conversation-panel.c:
	  - Also fix the stupid bug that was preventing the conversation panel
	  from adapting to theme changes (#347956).

2006-10-13  David Trowbridge  <trowbrds@gmail.com>

	* src/fe-gnome/main-window.c:
	  - Make nickname button properly adjust to theme changes (#348870).

2006-10-13  David Trowbridge  <trowbrds@gmail.com>

	* src/fe-gnome/preferences-page-dcc.c:
	* src/fe-gnome/util.c:
	* src/fe-gnome/text-entry.c:
	* src/fe-gnome/preferences-page-plugins.c:
	* src/fe-gnome/userlist-gui.c:
	* src/fe-gnome/status-bar.c:
	* src/fe-gnome/preferences-page-irc.c:
	* src/fe-gnome/topic-label.c:
	* src/fe-gnome/preferences-page-colors.c:
	* src/fe-gnome/preferences-page-networks.c:
	* src/fe-gnome/preferences-page-spellcheck.c:
	* src/fe-gnome/userlist.c:
	* src/fe-gnome/preferences-page-effects.c:
	* src/fe-gnome/setup-dialog.c:
	  - More ws cleanup.

2006-10-12  David Trowbridge  <trowbrds@gmail.com>

	* src/fe-gnome/xtext.c:
	  - Lots of cleanup/ws.

2006-10-11  David Trowbridge  <trowbrds@gmail.com>

	* src/common/outbound.c:
	* src/common/outbound.h:
	* src/common/servlist.c:
	* src/common/dbus/CVS/Entries:
	* src/common/util.c:
	* src/common/cfgfiles.c:
	* src/common/text.c:
	* src/common/dcc.c:
	* src/common/plugin.c:
	* src/common/inbound.c:
	* src/common/fe.h:
	* src/common/server.c:
	* src/common/xchat.c:
	* src/common/notify.c:
	* src/common/CVS/Entries:
	* src/common/xchat.h:
	* src/common/notify.h:
	* src/common/ctcp.c:
	* src/fe-gnome/fe-gnome.c:
	  - Sync from xchat CVS.

2006-10-11  David Trowbridge  <trowbrds@gmail.com>

	* src/fe-gnome/xtext.c:
	  - Fix a crash wrt selections and clipboards. (#361551).  Also remove
	    some unused code paths to begin cleaning up xtext.

2006-10-11  David Trowbridge  <trowbrds@gmail.com>

	* src/fe-gnome/main-window.c:
	  - Fix a possible crash in setting the nickname button. (#361199)

2006-10-10  David Trowbridge  <trowbrds@gmail.com>

	* /src/fe-gnome/palette.c:
	* /fe-gnome/preferences.c:
	* /fe-gnome/conversation-panel.c:
	* /fe-gnome/main-window.c:
	* /fe-gnome/migration.c:
	* /fe-gnome/fe-gnome.c:
	* /fe-gnome/preferences-dialog.c:
	* /fe-gnome/irc-network.c:
	* /fe-gnome/gui.c:
	* /fe-gnome/about.c:
	* /fe-gnome/find-bar.c:
	* /fe-gnome/connect-dialog.c:
	* /fe-gnome/irc-network-editor.c:
	* /fe-gnome/dcc-window.c:
	* /fe-gnome/channel-list.c:
	* /fe-gnome/navigation-tree.c:
	  - Lots of ws nitpicking.

	* /fe-gnome/xtext.c:
	  - Remove the selection when a single click without any motion in the
	    text area is performed. (#357232)

2006-10-08  David Trowbridge  <trowbrds@gmail.com>

	* src/fe-gnome/navigation-tree.c:
	  - Fix a small memory leak. (#354612)

2006-10-08  David Trowbridge  <trowbrds@gmail.com>

	* src/fe-gnome/navigation-tree.c:
	  - De-break a bunch of stuff with book-keeping selections, including
	    handling the nickname button nicely when the last server is
	    closed. (#358952)

2006-10-08  David Trowbridge  <trowbrds@gmail.com>

	* src/fe-gnome/channel-list.c:
	* src/fe-gnome/channel-list.h:
	  - Clean up some dead stuff.

2006-10-07  David Trowbridge  <trowbrds@gmail.com>

	* src/fe-gnome/fe-gnome.c:
	* src/fe-gnome/navigation-tree.c:
	  - Remove the default "<none>" session in the tree view, since it's
	    not really needed anymore and was breaking things.

2006-10-07  Guillaume Desmottes <cass@skynet.be>

	* src/fe-gnome/preferences-page-plugins.c:
	  - Fix a typo. "occurred" instead of "occured".
	    (Launchpad: #64479)

2006-10-04  David Trowbridge  <trowbrds@gmail.com>

	* src/fe-gnome/navigation-tree.c:
	  - Add checks in navigation_model_get_server to try to prevent
	  crashes (#359761).

2006-10-02  David Trowbridge  <trowbrds@gmail.com>

	* src/fe-gnome/navigation-tree.c:
	  - Use a column enum to make things more maintainable.

2006-10-02  Guillaume Desmottes <cass@skynet.be>

	* src/fe-gnome/connect-dialog.c:
	  - Fix accelerator collision. (Launchpad: #63378)

2006-09-25  David Trowbridge  <trowbrds@gmail.com>

	* data/channel-list.glade:
	  - Snazzy new layout for filtering options.

2006-09-24  David Trowbridge  <trowbrds@gmail.com>

	* po/cs.po:
	  - Update from rosetta trunk

2006-09-24  David Trowbridge  <trowbrds@gmail.com>

	* src/fe-gnome/fe-gnome.c:
	  - Fix capitalization in usage

2006-09-23  David Trowbridge  <trowbrds@gmail.com>

	* src/common/dbus/Makefile.am:
	* po/POTFILES.in:
	  - More distcheck fixes.

2006-09-23  David Trowbridge <trowbrds@gmail.com>

	* plugins/perl/generate_header:
	  - Fix this to actually use the command-line arguments that it used
	    to take, so that builds work when builddir != srcdir.

2006-09-23  David Trowbridge <trowbrds@gmail.com>

	* plugins/python/python.c:
	A plugins/python/CVS:
	A plugins/python/CVS/Repository:
	A plugins/python/CVS/Root:
	A plugins/python/CVS/Entries:
	* plugins/perl/Xchat.pm:
	* plugins/perl/CVS/Entries:
	* src/common/dbus:
	* src/common/dbus/CVS/Entries:
	* src/common/plugin.c:
	* src/common/server.c:
	* src/common/xchat.c:
	* src/common/CVS/Entries:
	D src/common/CVS/Entries.Log:
	  - Sync to xchat cvs, add CVS directory for python plugin to ease
	    future syncs.

2006-09-22  Christian Persch  <chpe@cvs.gnome.org>

	* src/fe-gnome/xtext.c: (gtk_xtext_destroy), (gtk_xtext_unrealize),
	(gtk_xtext_realize), (gtk_xtext_leave_notify):
	* src/fe-gnome/xtext.h:
	  - Set I-beam cursor on the conversation view. Bug #356504.

2006-09-22  David Trowbridge  <trowbrds@gmail.com>

	* src/fe-gnome/userlist-gui.c: (get_user_tooltip):
	  - Fix a crash when using type-ahead search.  Bug #356091.

2006-09-20  Christian Persch  <chpe@cvs.gnome.org>

	* src/fe-gnome/xtext.c: (primary_clear_cb):
	  - Fix a crash when withdrawing the selection on unrealize. Bug
	  #355503.

Sun Sep 10 13:27:43 CEST 2006  Guillaume Desmottes <cass@skynet.be>

	* plugins/autoaway/gscreensaver.c:
	  - Use the new gnome-screensaver API. Bug #354306

2006-09-10  Christian Persch  <chpe@cvs.gnome.org>

	* data/irc-network-editor.glade:
	* data/preferences-dialog.glade:
	* data/setup-dialog.glade:
	* data/topic-change.glade:
	* data/xchat-gnome.glade:
	  - HIG fixes: use right capitalisation, and fix access keys. Bug
	    #354846.

Thu Sep  7 22:03:23 CEST 2006  Guillaume Desmottes <cass@skynet.be>

	* src/fe-gnome/marshallers.list:
	* src/fe-gnome/xtext.c:
	* src/fe-gnome/Makefile.am:
	* src/fe-gnome/xg-marshal.list:
	  - Split marshal into 2 files: xg-marshal.[ch]
	  - Rename marshallers.list to xg-marshal.list.
	  - Set a "xg" as prefix for marshals.

Wed Sep  6 22:04:20 CEST 2006  Guillaume Desmottes <cass@skynet.be>

	* src/fe-gnome/migration.c:
	  - Fix a leak. Bug #354608

2006-09-04  Christian Persch  <chpe@cvs.gnome.org>

	* src/fe-gnome/navigation-tree.c:
	* src/fe-gnome/text-entry.c:
	  - Fix PRIMARY handling in the text entry. Bug #347067.

2006-09-04  Christian Persch  <chpe@cvs.gnome.org>

	* src/fe-gnome/conversation-panel.c:
	* src/fe-gnome/xtext.c: 
	* src/fe-gnome/xtext.h:
	  - Fix PRIMARY selection handling. Bug #351272.

2006-09-03  David Trowbridge <trowbrds@gmail.com>

	* src/fe-gnome/irc-network-editor.c:
	  - Fix ordering of autojoin channels with keys. Bug #346987.

2006-09-01  Christian Persch  <chpe@cvs.gnome.org>

	* src/fe-gnome/fe-gnome.c: (fe_open_url):
	  - Fix stupid argument transposition bug from patch from bug #353740.

2006-09-01  Christian Persch  <chpe@cvs.gnome.org>

	* src/common/dbus/dbus-client.c:
	* src/common/xchat.h:
	  - Fix builddir != srcdir build due to crappy xchat upstream build
	    system. Bug #353750.

2006-09-01  Christian Persch  <chpe@cvs.gnome.org>

	* configure.ac:
	* plugins/autoaway/gscreensaver.c: (get_gs_has_ipc),
	(init_gs_connection), (close_gs_connection):
	* src/common/Makefile.am:
	  - Reuse ENABLE_DBUS define, and eliminate USE_DBUS. Bug #353747.

2006-08-31  Christian Persch  <chpe@cvs.gnome.org>

	* configure.ac:
	* src/fe-gnome/about.c: (about_email_hook), (about_url_hook),
	(show_about_dialog):
	  - Don't define the hook functions with recent libgnomeui,
	    since it provides them for us.
	* src/fe-gnome/fe-gnome.c: (fe_open_url):
	  - Use gnome_url_show_on_screen, bug #353740.

Thu Aug 31 21:58:23 CEST 2006  Guillaume Desmottes <cass@skynet.be>

	* data/xchat-gnome.1:
	* NEWS:
	  - Manpage refactoring.
	  - Add --existing documentation.

Thu Aug 31 16:58:26 CEST 2006  Xavier Claessens <xclaesse@gmail.com>

	* src/common/dbus/example.py:
	* src/common/dbus/Makefile.am:
	* src/common/dbus/url_handler.schemas.in:
	* src/common/dbus/dbus-plugin.c:
	* src/common/dbus/dbus-client.c:
	* src/common/dbus/example.c:
	* src/common/dbus/README:
	* src/common/dbus/remote-object.xml:
	* src/fe-gnome/fe-gnome.c:
	* configure.ac:
	  - Rename D-Bus service to org.gnome.Xchat.
	    object path is now /org/gnome/Xchat/Remote with interfaces
	    org.gnome.Xchat.Plugin and org.gnome.Xchat.Connection.
	  - Add --existing command line option to connect --url in a running
	    XChat instance.
	  - Install org.gnome.Xchat.service file.

Wed Aug 30 21:35:39 CEST 2006  Guillaume Desmottes <cass@skynet.be>

	* src/common/dbus/dbus-client.h:
	* src/common/dbus/org.gnome.Xchat.service.in:
	* src/common/dbus/dbus-plugin.xml:
	* src/common/dbus/dbus-client.c:
	* src/common/dbus/remote-object.xml:
	  - Add missing files from sync.

Wed Aug 30 21:09:24 CEST 2006  Guillaume Desmottes <cass@skynet.be>

	* src/common/outbound.c:
	* src/common/outbound.h:
	* src/common/dbus/xchat-remote.c:
	* src/common/dbus/example.py:
	* src/common/dbus/marshallers.list:
	* src/common/dbus/Makefile.am:
	* src/common/dbus/dbus-plugin.c:
	* src/common/dbus/CVS/Entries:
	* src/common/dbus/example.c:
	* src/common/dbus/README:
	* src/common/util.c:
	* src/common/proto-irc.c:
	* src/common/xchatc.h:
	* src/common/cfgfiles.c:
	* src/common/text.c
	* src/common/dcc.c:
	* src/common/.cvsignore:
	* src/common/plugin.c:
	* src/common/inbound.c:
	* src/common/server.c:
	* src/common/xchat.c:
	* src/common/CVS/Entries:
	* src/common/xchat.h:
	* src/common/make-te.c:
	* acinclude.m4:
	  - Sync from xchat CVS.

Wed Aug 30 20:03:44 CEST 2006  Guillaume Desmottes <cass@skynet.be>

	* src/fe-gnome/migration.h:
	* src/fe-gnome/migration.c:
	  - Forgot to add these files on the SVN. Sorry dudes.

Mon Aug 28 21:07:09 CEST 2006  Guillaume Desmottes <cass@skynet.be>

	* src/fe-gnome/util.c:
	  - error_dialog (): Enable markups in the error message.
	* src/fe-gnome/migration.h:
	* src/fe-gnome/migration.c:
	* src/fe-gnome/fe-gnome.c:
	* src/fe-gnome/Makefile.am:
	* po/POTFILES.in:
	  - Add migration infrastructure.
	  - Migration path for D-Bus plugin. (#349443)

Mon Aug 21 15:58:19 CEST 2006  Guillaume Desmottes <cass@skynet.be>

	* src/fe-gnome/preferences-page-plugins.h:
	* src/fe-gnome/preferences-page-plugins.c:
	* src/fe-gnome/preferences-dialog.h:
	* src/fe-gnome/preferences-dialog.c:
	  - Rename PreferencesPluginsPage to PreferencesPagePlugins.
	  - "GObjectize" PreferencesPagePlugins.

Sun Aug 20 14:35:49 CEST 2006  Guillaume Desmottes <cass@skynet.be>

	* data/xchat-gnome-remote.1:
	* data/Makefile.am:
	  - Remove xchat-gnome-remote's manpage since this
	    executable will not exist anymore after the next sync.

Sat Aug 19 18:06:15 CEST 2006  Guillaume Desmottes <cass@skynet.be>

	* src/fe-gnome/conversation-panel.c:
	  - Remove tooltip when the mouse leaves the window. (#347046)

Wed Aug 16 20:06:00 CEST 2006  Guillaume Desmottes <cass@skynet.be>

	* src/fe-gnome/plugins.c:
	  - Fix a leak with gconf_client.
	  - If a plugin is not found, it's removed from the autoload
	    list. First part of the migration path for the dbus plugin.

2006-08-14  Christian Persch  <chpe@cvs.gnome.org>

	* src/fe-gnome/main-window.c:
	- Use HIG shortcut key for Help. Bug #350919.

Sun Aug 13 19:14:03 PDT 2006  David Trowbridge <trowbrds@gmail.com>

	A plugins/perl/CVS:
	A plugins/perl/CVS/Repository:
	A plugins/perl/CVS/Root:
	A plugins/perl/CVS/Entries:
	* plugins/perl/Xchat.pm:
	* plugins/perl/generate_header:
	* plugins/perl/perl.c:
	* plugins/perl/xchat2-perl.html:
	  - Update the perl plugin from xchat CVS, and add the CVS directory
	    so we can update more easily in the future. (#349063)

Sun Aug 13 16:41:11 CEST 2006  Guillaume Desmottes <cass@skynet.be>

	* src/fe-gnome/main-window.c:
	   - Add a trailing ellipsis in the "Connect" menu entry (#350944)

Tue Aug  1 11:05:51 PDT 2006  David Trowbridge <trowbrds@gmail.com>

	* po/en_GB.po:
	* po/nb.po:
	* po/el.po:
	* po/de.po:
	  - Update from rosetta

Tue Aug  1 13:16:14 CEST 2006  Guillaume Desmottes <cass@skynet.be>

	* src/fe-gnome/main-window.c:
	  - Fix yet another compilation error. Add a missing variable declaration.

2006-07-29  Christian Persch  <chpe@cvs.gnome.org>

	* src/fe-gnome/Makefile.am:
	* src/fe-gnome/channel-list.c: (create_channel_list):
	* src/fe-gnome/connect-dialog.c: (connect_dialog_init):
	* src/fe-gnome/dcc-window.c: (dcc_window_init):
	* src/fe-gnome/find-bar.c: (find_bar_init):
	* src/fe-gnome/gui.c: (initialize_gui_1):
	* src/fe-gnome/irc-network-editor.c: (irc_network_editor_init):
	* src/fe-gnome/main-window.c: (initialize_main_window):
	* src/fe-gnome/pixmaps.c: (pixbuf_new_from_file), (pixmaps_init):
	* src/fe-gnome/preferences-dialog.c: (preferences_dialog_init):
	* src/fe-gnome/preferences-page-colors.c: (preferences_page_colors_new):
	* src/fe-gnome/preferences-page-dcc.c: (preferences_page_dcc_new):
	* src/fe-gnome/preferences-page-effects.c: (preferences_page_effects_new):
	* src/fe-gnome/preferences-page-irc.c: (preferences_page_irc_new):
	* src/fe-gnome/preferences-page-networks.c: (preferences_page_networks_new):
	* src/fe-gnome/preferences-page-plugins.c: (preferences_page_plugins_new):
	* src/fe-gnome/preferences-page-spellcheck.c: (preferences_page_spellcheck_new):
	* src/fe-gnome/setup-dialog.c: (run_setup_dialog):
	* src/fe-gnome/topic-label.c: (topic_label_change_current):
	* src/fe-gnome/util.c: (locate_data_file):
	* src/fe-gnome/util.h:
	  - Look for uninstalled data files in the right place for builddir !=
	    srcdir. Bug #348837.

Fri Jul 28 13:04:10 PDT 2006  David Trowbridge <trowbrds@gmail.com>

	* src/fe-gnome/conversation-panel.c:
	* src/fe-gnome/conversation-panel.h:
	  - Fix theme-change notification for the text colors. (#347956)
	* src/fe-gnome/main-window.c:
	* src/fe-gnome/gui.h:
	* data/xchat-gnome.glade:
	  - Fix theme-change notification for the nickname button. (#348870)
	* src/fe-gnome/userlist.h:
	  - Clean up spacing

Fri Jul 28 16:25:59 CEST 2006  Guillaume Desmottes <cass@skynet.be>

	A data/xchat-gnome.1:
	A data/xchat-gnome-remote.1:
	* data/Makefile.am:
	  - Integrate manpages from Debian. Thanks to Marco Cabizza.

Fri Jul 28 11:53:12 CEST 2006  Guillaume Desmottes <cass@skynet.be>

	* src/fe-gnome/main-window.c:
	  - Fix compilation error. Add a missing variable declaration.

Fri Jul 28 01:15:13 CEST 2006  Guillaume Desmottes <cass@skynet.be>

	* src/fe-gnome/preferences-page-irc.c:
	* src/fe-gnome/preferences-page-irc.h:
	* src/fe-gnome/preferences-page-colors.c:
	* src/fe-gnome/preferences-page-colors.h:
	* data/preferences-dialog.glade:
	  - Move the "show color" options from IRC to the color
	    preference page.
	  - Add a option to enable logging of conversations. (#333493)

2006-07-28  Christian Persch  <chpe@cvs.gnome.org>

	* src/fe-gnome/main-window.c: (initialize_main_window),
	(run_main_window):
	* src/fe-gnome/navigation-tree.c: (navigation_tree_init),
	(navigation_tree_create_new_network_entry),
	(navigation_tree_create_new_channel_entry), (server_context),
	(channel_context), (navigation_selection_changed):
	* src/fe-gnome/navigation-tree.h:
	- Set action sensitivity instead of messing with the proxy widgets
	directly. Bug #348968.

2006-07-28  Christian Persch  <chpe@cvs.gnome.org>

	* configure.ac:
	* src/fe-gnome/fe-gnome.c: (fe_args):
	- Use PACKAGE as gnome app ID. Bug #348868.

Thu Jul 27 21:21:54 CEST 2006  Xavier Claessens <xclaesse@gmail.com>

	* src/common/dbus/example.py:
	  - Change org.xchat. to org.xchatgnome.
	* src/common/dbus/dbus-plugin.c:
	  - Set PVERSION to "" like that the dbus plugin doesn't appear in
	    plugin list anymore.
	* configure.ac:
	  - DBus plugin depends on dbus and dbus-glib >=0.60.

Thu Jul 27 20:29:49 CEST 2006  Guillaume Desmottes <cass@skynet.be>

	* src/fe-gnome/text-entry.c:
	  - Make IRC command completion case unsensitive.

Thu Jul 27 18:48:31 CEST 2006  Guillaume Desmottes <cass@skynet.be>

	* data/preferences-dialog.glade:
	  - HIG improvements: don't display preferences window in the
	    windows list and make it transient.

2006-07-27  Christian Persch  <chpe@cvs.gnome.org>

	* src/fe-gnome/fe-gnome.c: (fe_args), (fe_init), (fe_cleanup):
	  - Drop unnecessary code to init gnome-vfs and load/store the accel
	    map. Bug #348868.

2006-07-26  Christian Persch  <chpe@cvs.gnome.org>

	* src/common/dbus/Makefile.am:
	* src/common/dbus/dbus-plugin.c:
	  - Fix the build in the builddir != srcdir case. Bug #348867.

Sun Jul 23 17:59:55 PDT 2006  David Trowbridge <trowbrds@gmail.com>

	D plugins/dbus:
	D plugins/dbus/Makefile.am:
	D plugins/dbus/README:
	D plugins/dbus/dbus-plugin.c:
	D plugins/dbus/dbus-plugin.xml:
	D plugins/dbus/example.c:
	D plugins/dbus/marshallers.list:
	D plugins/dbus/xchat-gnome-remote.c:
	D plugins/dbus/xchat_gnome_url_handler.schemas.in:
	A src/common/CVS/Entries.Log:
	A src/common/dbus:
	A src/common/dbus/CVS:
	A src/common/dbus/CVS/Entries:
	A src/common/dbus/CVS/Repository:
	A src/common/dbus/CVS/Root:
	A src/common/dbus/Makefile.am:
	A src/common/dbus/README:
	A src/common/dbus/dbus-plugin.c:
	A src/common/dbus/dbus-plugin.h:
	A src/common/dbus/dbus-plugin.xml:
	A src/common/dbus/example.c:
	A src/common/dbus/example.py:
	A src/common/dbus/marshallers.list:
	A src/common/dbus/url_handler.schemas.in:
	A src/common/dbus/xchat-remote.c:
	* configure.ac:
	* po/POTFILES.in:
	* src/common/CVS/Entries:
	* src/common/Makefile.am:
	* src/common/cfgfiles.c:
	* src/common/dcc.c:
	* src/common/dcc.h:
	* src/common/fe.h:
	* src/common/inbound.c:
	* src/common/outbound.c:
	* src/common/outbound.h:
	* src/common/plugin.c:
	* src/common/proto-irc.c:
	* src/common/server.c:
	* src/common/text.c:
	* src/common/util.c:
	* src/common/util.h:
	* src/common/xchat.c:
	* src/common/xchat.h:
	* src/fe-gnome/fe-gnome.c:
	  - Sync from xchat CVS and update for new D-Bus linking mechanism.

Fri Jul 21 21:12:43 PDT 2006  David Trowbridge <trowbrds@gmail.com>

	* src/fe-gnome/userlist-gui.c:
	  - Make the userlist positioning function a little more sane, so that
	    it doesn't pop up in random places when using the keyboard.
	    (#347071)

Fri Jul 21 17:52:18 PDT 2006  David Trowbridge <trowbrds@gmail.com>

	* po/pt_BR.po:
	* po/lt.po:
	  - Update from rosetta

Wed Jul 19 11:58:08 PDT 2006  David Trowbridge <trowbrds@gmail.com>

	* configure.ac: Bump to 0.14svn

==================== 0.13 ====================

Mon Jul 17 23:34:37 CEST 2006  Christian Persch <chpe@gnome.org>

	* src/fe-gnome/userlist-gui.c:
	* data/xchat-gnome-ui.xml:
	  - Add GUI to give OP status.

Sun Jul 16 22:15:14 CEST 2006  Guillaume Desmottes <cass@skynet.be>

	* src/fe-gnome/text-entry.c:
	  - Remove double g_free. Fix a crash in IRC command
	    completion. (#333482)

Sat Jul 15 22:33:49 CEST 2006  Guillaume Desmottes <cass@skynet.be>

	* src/fe-gnome/text-entry.c:
	  - Fix a leak with new_prefix.
	  - Set the cursor at the end of the longest common prefix.

Sat Jul 15 21:42:52 CEST 2006  Guillaume Desmottes <cass@skynet.be>

	* src/fe-gnome/conversation-panel.c:
	  - Fix a crash when saving transcript without current
	    session. (Launchpad: #52692)
	* src/fe-gnome/main-window.c:
	  - Fix a crash when leaving discussion without current
	    session.

Mon Jul 10 00:38:11 CEST 2006  Guillaume Desmottes <cass@skynet.be>

	* src/fe-gnome/navigation-tree.c:
	  - Code cleaning to fix a crash when adding the first autojoin
	    channel.

Sun Jul  9 22:38:36 CEST 2006  Guillaume Desmottes <cass@skynet.be>

	* src/fe-gnome/conversation-panel.c:
	* src/fe-gnome/conversation-panel.h:
	* src/fe-gnome/main-window.c:
	  - Display a red marker line showing messages since last
	    focus. (#330150)
	* src/fe-gnome/preferences-page-irc.c:
	* src/fe-gnome/preferences-page-irc.h:
	* data/preferences-dialog.glade:
	  - Add a option in the preference dialog for the marker
	    line.

Sat Jul  8 23:44:57 CEST 2006  Guillaume Desmottes <cass@skynet.be>

	* src/fe-gnome/navigation-tree.c:
	  - Fix quick channel auto-join to support keys. (#347002)

Sat Jul  8 22:39:51 CEST 2006  Guillaume Desmottes <cass@skynet.be>

	* src/fe-gnome/fe-gnome.c:
	  - Pop up the channels list dialog on connect if there are no
	    channels set to auto-join. (#346974)

Sat Jul  8 13:27:45 MDT 2006  David Trowbridge <trowbrds@gmail.com>

	* configure.ac:
	* NEWS:
	  - Update for 0.13

Sat Jul  8 12:55:46 CEST 2006  Guillaume Desmottes <cass@skynet.be>

	* src/fe-gnome/irc-network-editor.c:
	  - Remove the key in the model if there is no value entered.

Fri Jul  7 19:02:56 MDT 2006  David Trowbridge <trowbrds@gmail.com>

	* src/fe-gnome/text-entry.c:
	  - Preserve the selected text and set it in the PRIMARY clipboard
	    when switching sessions, so you can copy text from the text entry
	    in one session and paste it into the entry for another. (#345356)

Fri Jul  7 16:52:45 MDT 2006  David Trowbridge <trowbrds@gmail.com>

	* src/fe-gnome/text-entry.c:
	  - Remove some old, commented-out code.

Fri Jul  7 16:25:02 MDT 2006  David Trowbridge <trowbrds@gmail.com>

	* src/fe-gnome/irc-network-editor.c:
	* src/fe-gnome/irc-network-editor.h:
	* data/irc-network-editor.glade:
	  - Add a "key" column to the channel autojoin list in the network
	    configuration dialog. (#321981)

Fri Jul  7 12:58:21 MDT 2006  Christian Persch <chpe@gnome.org>

	* configure.ac:
	* Makefile.am:
	  - Eliminate unneeded AM_GLIB_DEFINE_LOCALEDIR. (#346936)

Fri Jul  7 12:22:06 MDT 2006  Christian Persch <chpe@gnome.org>

	* plugins/python/Makefile.am:
	* plugins/url_scraper/Makefile.am:
	* plugins/perl/Makefile.am:
	* plugins/tcl/Makefile.am:
	* plugins/notification/Makefile.am:
	* plugins/autoaway/Makefile.am:
	* plugins/net-monitor/Makefile.am:
	* plugins/notify-osd/Makefile.am:
	* plugins/sound-notification/Makefile.am:
	* plugins/dbus/Makefile.am:
	* src/common/Makefile.am:
	* src/fe-gnome/Makefile.am:
	* configure.ac:
	* Makefile.am:
	  - Some minor improvements to the buildsystem. (#346877)

Thu Jul  6 15:43:38 MDT 2006  David Trowbridge <trowbrds@gmail.com>

	* src/fe-gnome/conversation-panel.c:
	  - Close the tooltip in the conversation panel when changing
	    sessions. (#346704)

Thu Jul  6 15:09:59 MDT 2006  David Trowbridge <trowbrds@gmail.com>

	* src/common/xchat.c:
	  - Don't quit when closing the last server. (#327455)

Thu Jul  6 13:46:00 MDT 2006  David Trowbridge <trowbrds@gmail.com>

	* src/fe-gnome/conversation-panel.c:
	* src/fe-gnome/irc-network.c:
	  - WS & warnings cleanup.

Thu Jul  6 13:01:34 MDT 2006  David Trowbridge <trowbrds@gmail.com>

	* src/fe-gnome/main-window.c:
	* src/fe-gnome/fe-gnome.c:
	  - Pop up the connect dialog on startup if there are no servers set
	    to auto-connect. (#345967)

Wed Jul  5 10:28:42 MDT 2006  Christian Persch <chpe@gnome.org>

	* src/fe-gnome/topic-label.c:
	  - Change TopicLabel to use gobject's private mechanism, and fix a
	    memory leak. (#346637)

Sun Jul  2 17:17:52 MDT 2006  David Trowbridge <trowbrds@gmail.com>

	* data/xchat-gnome.glade:
	  - Change spacing and packing around a bit to get the scrollbar flush
	    with the right of the screen when maximized.  Things aren't
	    perfect yet, but it's better. (#346115)

Sun Jul  2 13:31:10 MDT 2006  David Trowbridge <trowbrds@gmail.com>

	* plugins/url_scraper/Makefile.am:
	* plugins/notification/Makefile.am:
	* plugins/dbus/Makefile.am:
	* src/fe-gnome/Makefile.am:
	* data/Makefile.am:
	  - Make it build correctly after make clean by moving things to
	    DISTCLEANFILES. (#346265)

Sun Jul  2 12:58:20 MDT 2006  David Trowbridge <trowbrds@gmail.com>

	* src/fe-gnome/preferences-page-networks.c:
	* src/fe-gnome/irc-network-editor.c:
	  - Make network settings dialog non-modal. (#346188)

Sun Jul  2 11:25:21 MDT 2006  David Trowbridge <trowbrds@gmail.com>

	* src/fe-gnome/irc-network.c:
	  - Add TIS-620 character set. (#346396)

Thu Jun 29 15:10:22 CEST 2006  Guillaume Desmottes <cass@skynet.be>

	* plugins/notify-osd/notify-osd.c:
	  - Always escape message. (#346132)

Thu Jun 29 11:02:22 BST 2006  Daniel Drake <dsd@gentoo.org>

	* src/fe-gnome/dcc-window.c:
	  - Fix DCC stop crasher and timeout handling bug.

Sun Jun 25 11:22:27 CEST 2006  David Trowbridge <trowbrds@gmail.com>

	* src/fe-gnome/main-window.c:
	* src/fe-gnome/navigation-tree.c:
	* data/xchat-gnome-ui.xml:
	  - Show a different context menu for channels in the navigation tree
	    based on whether or not the channel is joined.  This allows users
	    to re-join a channel with the context menu. (#344980)


Wed Jun 21 16:21:17 MDT 2006  Isak Savo <iso01001@student.mdh.se>

	* plugins/autoaway/autoaway.h:
	* plugins/autoaway/autoaway.c:
	  - Fix a potential crasher in the autoaway plugin. (#342104)

Wed Jun 21 15:29:49 MDT 2006  David Trowbridge <trowbrds@gmail.com>

	* src/fe-gnome/userlist-gui.c:
	  - Maybe fix a race condition that could cause a crash if a tooltip
	    tries to pop up after the window is closed. (#343356)

Wed Jun 21 03:50:41 MDT 2006  David Trowbridge <trowbrds@gmail.com>

	* plugins/autoaway/xscreensaver.c:
	  - Rename "stdout" to "out" to be less confusing.

Wed Jun 21 02:05:28 MDT 2006  David Trowbridge <trowbrds@gmail.com>

	* po/*:
	  - Update translations from the rosetta dapper branch, since that
	    seems to be where everyone is doing stuff.

Tue Jun 20 18:37:48 MDT 2006  David Trowbridge <trowbrds@gmail.com>

	* src/fe-gnome/preferences-page-spellcheck.c:
	  - If libenchant is not installed, or there are no dictionaries, show
	    a short message indicating how to get spell-checking working
	    rather than an empty language-selector list. (#345199)

Tue Jun 20 18:16:52 MDT 2006  David Trowbridge <trowbrds@gmail.com>

	* src/fe-gnome/preferences-page-spellcheck.c:
	* src/fe-gnome/preferences-page-spellcheck.h:
	* data/preferences-dialog.glade:
	  - Move widget creation for the spell-checking preferences page into
	    the code, in preparation for making the contents of the page
	    dependent on whether or not enchant is installed with any
	    dictionaries.

Tue Jun 20 17:47:04 MDT 2006  David Trowbridge <trowbrds@gmail.com>

	* src/fe-gnome/main-window.c:
	* src/fe-gnome/channel-list.c:
	* data/xchat-gnome-ui.xml:
	* data/channel-list.glade:
	  - Remove the "Save List As" button from the channel list window and
	    the "Information" entry from the network menu.  They can be added
	    back when/if they're implemented.

Tue Jun 20 17:31:10 MDT 2006  David Trowbridge <trowbrds@gmail.com>

	* configure.ac:
	  - Bump to 0.13svn

==================== 0.12 ====================

Tue Jun 20 16:16:24 MDT 2006  David Trowbridge <trowbrds@gmail.com>

	* NEWS:
	  - Add tagline

Tue Jun 20 15:56:39 MDT 2006  David Trowbridge <trowbrds@gmail.com>

	* configure.ac:
	  - Bump to 0.12

Mon Jun 19 23:23:23 MDT 2006  David Trowbridge <trowbrds@gmail.com>

	* NEWS:
	  - update

Sun Jun 18 22:34:58 MDT 2006  David Trowbridge <trowbrds@gmail.com>

	* src/fe-gnome/palette.c:
	  - Use CIE L*a*b* instead of HSV, for improved results.

Sat Jun 17 16:17:10 MDT 2006  David Trowbridge <trowbrds@gmail.com>

	* data/xchat-gnome.glade:
	  - Make the close button more svelte.

Sat Jun 17 16:13:53 MDT 2006  David Trowbridge <trowbrds@gmail.com>

	* src/fe-gnome/main-window.c:
	  - Fix a booboo in window resizing.

Sat Jun 17 16:11:38 MDT 2006  David Trowbridge <trowbrds@gmail.com>

	* src/fe-gnome/topic-label.c:
	  - Only show the expander triangle if the topic is long enough that
	    it can wrap. (#326460)

Fri Jun 16 22:45:51 MDT 2006  David Trowbridge <trowbrds@gmail.com>

	* src/fe-gnome/fe-gnome.c:
	* src/fe-gnome/dcc-window.c:
	  - Add a dialog box for accepting DCC chats. (#337074)

Fri Jun 16 21:02:39 MDT 2006  David Trowbridge <trowbrds@gmail.com>

	* src/fe-gnome/conversation-panel.c:
	* src/fe-gnome/conversation-panel.h:
	* src/fe-gnome/main-window.c:
	  - Update transparency on window move. (#344609)

Fri Jun 16 20:53:26 MDT 2006  David Trowbridge <trowbrds@gmail.com>

	* src/fe-gnome/conversation-panel.c:
	  - Update transparency when the desktop background changes. (#344609)

Fri Jun 16 20:32:50 MDT 2006  David Trowbridge <trowbrds@gmail.com>

	* src/common/outbound.c:
	* src/common/outbound.h:
	* src/common/servlist.c:
	* src/common/util.c:
	* src/common/proto-irc.c:
	* src/common/cfgfiles.c:
	* src/common/text.c:
	* src/common/text.h:
	* src/common/dcc.c:
	* src/common/network.c:
	* src/common/dcc.h:
	* src/common/network.h:
	* src/common/plugin.c:
	* src/common/server.c:
	* src/common/xchat.c:
	* src/common/notify.c:
	* src/common/CVS/Entries:
	* src/common/server.h:
	* src/common/xchat.h:
	* src/common/notify.h:
	* src/common/ignore.c:
	* src/common/ctcp.c:
	  - Update from xchat CVS.

Fri Jun 16 18:57:53 MDT 2006  David Trowbridge <trowbrds@gmail.com>

	* src/fe-gnome/navigation-tree.c:
	  - Don't show the context menu if we don't have a valid row
	    reference. (#340191)

Fri Jun 16 18:47:28 MDT 2006  David Trowbridge <trowbrds@gmail.com>

	* help/C/xchat-gnome.xml:
	  - Update the description and title of the user manual to better
	    match documentation standards. (#344482)

Fri Jun 16 00:09:00 CEST 2006  Guillaume Desmottes <cass@skynet.be>

	* src/fe-gnome/conversation-panel.c:
	* src/fe-gnome/apps_xchat.schemas.in:
	  - Add a gconf key to disable the "don't print consecutive
	    redundant nickstamps" feature.

Thu Jun 15 11:10:34 MDT  Dan Kuester <dkuester@colorado.edu>

	* src/fe-gnome/conversation-panel.c:
	  - Remove cracky conversation replace code; put the same prettiness
	    in as text events later.

Wed Jun 14 18:37:48 MDT  David Trowbridge <trowbrds@gmail.com>

	* src/fe-gnome/palette.c:
	  - Remove some dead code and tweak the yellow color to be a little
	    less sickening.

Wed Jun 14 17:48:29 MDT  David Trowbridge <trowbrds@gmail.com>

	* src/fe-gnome/palette.c:
	* src/fe-gnome/palette.h:
	  - Add super-awesome color palette optimization for the theme-based
	    color scheme.

Tue Jun 14 14:09:54 MDT  Dan Kuester <dkuester@colorado.edu>

	* src/fe-gnome/xtext.h:
	* src/fe-gnome/xtext.c:
	  - Add another string for keeping track of the last user entered.
	* src/fe-gnome/conversation-panel.c:
	  - Don't print consecutive redundant nickstamps

Wed Jun 14 02:04:20 MDT 2006 Jeremy Nickurak <atrus@rifetech.com>

	* src/fe-gnome/conversation-panel.c:
	  - Update system color scheme when gtk theme changes
	* src/fe-gnome/palette.c:
	* src/fe-gnome/palette.h:
	* src/fe-gnome/preferences/page-colors.c:
	  - Implement system-theme color scheme. (#172168)
	* src/fe-gnome/apps_xchat.schemas.in:
	  - Make system-theme colors the default

Tue Jun 13 22:26:54 MDT  David Trowbridge <trowbrds@gmail.com>

	* data/topic-change.glade:
	  - Fix topic change dialog to not resize the window as you type
	    words. (#343567)

Tue Jun 12 16:52:40 MDT 2006  Steve Frécinaux <steve@istique.net>

	* src/fe-gnome/util.c:
	* src/fe-gnome/util.h:
	  - New GtkMenuPositionFunc functions to position context menu when
	    using keyboard.
	* src/fe-gnome/navigation-tree.c:
	  - foo_context() functions now return the menu instead of showing it
	  - handle the popup-menu event (issued when using keyboard) and
	    position the context menu accordingly.

Mon May 12 17:12:08 CEST 2006  Steve Frécinaux <steve@istique.net>

	* src/fe-gnome/text-entry.c:
	  - Fix widget cycling by not eating Ctrl+Tab

Wed May 24 20:55:18 MDT 2006  David Trowbridge <trowbrds@gmail.com>

	* src/fe-gnome/userlist-gui.c:
	* src/fe-gnome/userlist.c:
	  - Fix plural l10n (#342841).

Wed May 24 20:42:41 MDT 2006  David Trowbridge <trowbrds@gmail.com>

	* src/fe-gnome/conversation-panel.c:
	* data/xchat-gnome-ui.xml:
	  - Add "send file" and "ignore" items to the default context menu for
	    query windows (#333455).

Tue May 23 21:59:01 CEST 2006  Guillaume Desmottes <cass@skynet.be>

	* src/fe-gnome/xtext.c:
	* src/fe-gnome/xtext.h:
	  - Add two new signals "word_enter" and "word_leave".
	* src/fe-gnome/userlist-gui.c:
	* src/fe-gnome/conversation-panel.c:
	  - The "whois tooltip" is now also displayed in the
	    conversation panel!

Mon May 22 19:49:29 CEST 2006  Guillaume Desmottes <cass@skynet.be>

	* po/POTFILES.in:
	  - Add src/fe-gnome/userlist.c in the list of translatable files.

Sun May 21 16:34:23 MDT 2006  David Trowbridge <trowbrds@gmail.com>

	* src/fe-gnome/navigation-tree.c:
	  - Change "Auto-join on startup" to "Auto-join on connect" to
	    hopefully make the behavior more clear. (#338300)

Sun May 21 19:06:43 CEST 2006  Guillaume Desmottes <cass@skynet.be>

	* src/common/plugin.c:
	  - Backport from xchat CVS.
	  - xchat_get_info can now returns session independent informations
	    when none session is started. It should fix a crasher when we
	    try to load the Perl plugin without any session started.
	    (Launchpad: #45235)

Sat May 20 17:28:42 MDT 2006  David Trowbridge <trowbrds@gmail.com>

	* src/fe-gnome/Makefile.am:
	  - Change library reference to hopefully fix some builds. (#331679)

Sat May 20 17:19:53 MDT 2006  Przemyslaw Grzegorczyk <pgrzegorczyk@gmail.com>

	* configure.ac:
	* po/LINGUAS:
	  - Update for intltool 0.35 and new po/LINGUAS standards. (#339300)

Sat May 20 15:45:18 MDT 2006  David Trowbridge <trowbrds@gmail.com>

	* src/fe-gnome/preferences.c:
	  - Add gconf listeners to update preferences when they change in
	    the gconf daemon. (#332926)

Wed May 17 23:53:21 CEST 2006  Guillaume Desmottes <cass@skynet.be>

	* src/fe-gnome/irc-network.c:
	  - Add encodings KOI8-R (Cyrillic) and CP1257 (Baltic).
	    (#341897)

Sun May 14 18:29:10 CEST 2006  Guillaume Desmottes <cass@skynet.be>

	* src/fe-gnome/fe-gnome.c:
	  - Don't use the "--no-auto" option when we save the
	    GNOME session. (Launchpad: #39863)

Mon May  1 00:06:26 CEST 2006  Christian Persch <chpe@gnome.org>

	* src/fe-gnome/channel-list.c:
	* data/channel-list.glade:
	  - Code cleanup: use a GtkTable to dispose widgets.
	    (#340190).

Sun Apr 30 23:52:11 CEST 2006  Christian Persch <chpe@gnome.org>

	* data/xchat-gnome.glade:
	* data/topic-change.glade:
	* data/connect-dialog.glade:
	* data/preferences-dialog.glade:
	  - Misc HIG spacing fixes. (#340189)

Sun Apr 30 22:52:52 CEST 2006  Guillaume Desmottes <cass@skynet.be>
	* src/fe-gnome/fe-gnome.c:
	  - Fix a crash when opening a new query window. (#340142)

Sun Apr 30 12:17:14 CEST 2006  Guillaume Desmottes <cass@skynet.be>

	* src/fe-gnome/main-window.c:
	* data/xchat-gnome.glade:
	  - Pressing enter on the "Change Nick" prompt performs the
	    default action. (Launchpad: #42130)
	  - Change label from "OK" to "Change"; more HIG spirit.

Sun Apr 23 00:17:04 CEST 2006  Guillaume Desmottes <cass@skynet.be>

	* src/fe-gnome/navigation-tree.c:
	  - Disconnect the server when we close it using the right
	    click menu. (Launchpad: #40815)

Sat Apr 22 23:06:24 CEST 2006  Guillaume Desmottes <cass@skynet.be>

	* src/fe-gnome/conversation-panel.c:
	  - Display the default menu when you right click in a private
	    window.

Fri Apr 21 17:09:21 MDT 2006  David Trowbridge <trowbrds@gmail.com>

	* src/fe-gnome/main-window.c:
	* src/fe-gnome/fe-gnome.c:
	* src/fe-gnome/gui.h:
	* src/fe-gnome/topic-label.c:
	* data/xchat-gnome.glade:
	  - Don't show the topic bar in server windows (#333856).

Thu Apr 20 09:05:39 CEST 2006  Isak Savo <isak.savo@gmail.com>

	* plugins/autoaway/xscreensaver.c:
	  - Fix a crash with xscreensaver backend. (Launchpad: #39461)
	  - Make autoaway work on non-english systems

Tue Apr 18 17:30:14 MDT 2006  Brian Pepple <bdpepple@ameritech.net>

	* plugins/perl/perl.c:
	* plugins/dbus/xchat-gnome-remote.c:
	* src/common/outbound.c:
	* src/common/servlist.c:
	* src/common/cfgfiles.c:
	* src/common/plugin.c:
	* src/common/ctcp.c:
	* src/fe-gnome/preferences.c:
	* src/fe-gnome/fe-gnome.c:
	* src/fe-gnome/about.c:
	* src/fe-gnome/setup-dialog.c:
	* configure.ac:
	  - Drop version from AM_INIT_AUTOMAKE, and use AutoConf's macros for
	    package & version. (#337435)

Fri Apr 14 00:40:02 CEST 2006  Guillaume Desmottes <cass@skynet.be>

	* src/fe-gnome/irc-network.c:
	  - Avoid to set empty password for server and
	    nickserv. (#338060)

Thu Apr 13 23:14:52 CEST 2006  Guillaume Desmottes <cass@skynet.be>

	* src/fe-gnome/preferences.c:
	  - Set nick_ as first alternative nickname. (#338061)

Wed Apr 12 15:44:45 MDT 2006  David Trowbridge <trowbrds@gmail.com>

	* data/xchat-gnome.desktop.in.in:
	  - Remove the Application category.

Wed Apr 12 17:27:27 CEST 2006  Gathy Grégory <gigooo@gmail.com>

	* src/fe-gnome/preferences-page-plugins.c:
	* data/preferences-dialog.glade:
	  - Replace the gtk_tree_view by a sexy_tree_view when compiled
	    with libsexy support too see the description of the plugin
	    in a tooltip. (#338207)

Tue Apr 11 19:16:48 CEST 2006  Guillaume Desmottes <cass@skynet.be>

	* src/fe-gnome/conversation-panel.c:
	  - Fix crash on right click if no server connected. (#338105)

Sun Apr  9 12:07:44 CEST 2006  Guillaume Desmottes <cass@skynet.be>

	* src/fe-gnome/conversation-panel.c:
	* src/fe-gnome/conversation-panel.h:
	  - Add a conversation_panel_copy_selection () method.
	* src/fe-gnome/main-window.c:
	  - When we hit ctrl-V we copy the selection from the text entry
	    if there is one; if not we get it from the conversation
	    panel. (#337531)

==================== 0.11 ====================

Wed Apr  5 12:18:24 MDT 2006  David Trowbridge <trowbrds@gmail.com>

	* configure.ac:
	  - Arg -- fix version field

Tue Apr  4 20:17:27 MDT 2006  David Trowbridge <trowbrds@gmail.com>

	* configure.ac:
	* NEWS:
	  - Bump to 0.11

Tue Apr  4 20:10:16 MDT 2006  David Trowbridge <trowbrds@gmail.com>

	* AUTHORS:
	* src/fe-gnome/about.c:
	  - Update

Tue Apr  4 19:55:24 MDT 2006  David Trowbridge <trowbrds@gmail.com>

	* data/xchat-gnome.glade:
	  - Make the default window title be "XChat-GNOME" instead of
	    "ex-chat"

Mon Apr  3 16:04:59 EDT 2006  Olivier Le Thanh <olivier@lethanh.be>

	* po/fr.po:
	  - Re-Updated french translation.

Mon Apr  3 17:17:32 MDT 2006  David Trowbridge <trowbrds@gmail.com>

	* src/fe-gnome/preferences-page-spellcheck.c:
	  - Don't mark property names as translatable

Mon Apr  3 13:50:04 EDT 2006  Olivier Le Thanh <olivier@lethanh.be>

	* po/fr.po:
	  - Updated french translation, merged with rosetta.

Mon Apr  3 12:29:46 EDT 2006  Olivier Le Thanh <olivier@lethanh.be>

	* po/POTFILES.in:
	  - Removed data/dcc-accept.glade since it no longer exists.

Sun Apr  2 18:02:11 MDT 2006  David Trowbridge <trowbrds@gmail.com>

	* src/fe-gnome/xtext.c:
	* src/fe-gnome/xtext.h:
	  - Some superficial cleanup, to make it easier when (if?) someone
	    tries to make the enhancements we want.  Who knows if that will
	    happen before scanlime rocks the world with a new widget ;)

Sun Apr  2 17:33:38 MDT 2006  David Trowbridge <trowbrds@gmail.com>

	* src/fe-gnome/util.c:
	  - Fix a warning that I missed earlier.

Sun Apr  2 17:16:03 MDT 2006  David Trowbridge <trowbrds@gmail.com>

	* src/fe-gnome/fe-gnome.c:
	* src/fe-gnome/gui.h:
	  - Add back the GnomeProgram init for the libgnome<2.14 case.

Sun Apr  2 17:07:54 MDT 2006  Christian Persch <chpe@gnome.org>

	* src/fe-gnome/irc-network-editor.c:
	* src/fe-gnome/irc-network-editor.h:
	* data/irc-network-editor.glade:
	  - Fix some minor spacing and layout issues in the network editor
	    dialog. (#336924)

Sun Apr  2 16:59:23 MDT 2006  Christian Persch <chpe@gnome.org>

	* src/fe-gnome/util.c:
	* src/fe-gnome/fe-gnome.c:
	* data/xchat-gnome.glade:
	  - Use GtkMessageDialog rather than a custom one for showing errors.
	    (#336920)

Sun Apr  2 15:31:51 CEST 2006  Christian Persch <chpe@gnome.org>

	* data/setup-dialog.glade:
	  - Reduce first launch dialog size. (#336923)

Sat Apr  1 16:29:31 MST 2006  David Trowbridge <trowbrds@gmail.com>

	* src/common/outbound.c:
	* src/common/servlist.c:
	* src/common/util.c:
	* src/common/servlist.h:
	* src/common/cfgfiles.c:
	* src/common/util.h:
	* src/common/text.c:
	* src/common/cfgfiles.h:
	* src/common/dcc.c:
	* src/common/dcc.h:
	* src/common/url.c:
	* src/common/modes.c:
	* src/common/xchat.c:
	* src/common/notify.c:
	* src/common/CVS/Entries:
	* src/common/xchat.h:
	* src/common/ignore.c:
	* src/common/ctcp.c:
	  - Sync from xchat cvs

Wed Mar 29 19:13:23 MST 2006  Brian Pepple <bdpepple@ameritech.net>

	* src/fe-gnome/gui.c:
	* data/Makefile.am:
	* src/fe-gnome/about.c:
	- Use icon theme specification.

Sun Mar 26 13:38:41 MST 2006  Christian Persch <chpe@gnome.org>

	* src/fe-gnome/fe-gnome.c:
	* src/fe-gnome/gui.h:
	  - Fix some problems in GnomeProgram & GOption usage (#336108)

Sun Mar 26 13:26:24 MST 2006  Christian Persch <chpe@gnome.org>

	* src/fe-gnome/gui.h:
	* src/fe-gnome/about.c:
	  - Fix the about dialog to work with gtk+ changes related to #333360
	    (#336107)

Wed Mar 22 15:49:51 MST 2006  David Trowbridge <trowbrds@gmail.com>

	* configure.ac:
	D data/xchat-gnome.desktop.in:
	A data/xchat-gnome.desktop.in.in:
	  - Add X-GNOME-Bugzilla-Version field to .desktop file.

Wed Mar 22 22:53:20 CET 2006  Guillaume Desmottes <cass@skynet.be>

	* data/xchat-gnome.desktop.in:
	  - Apply Vincent Fretin's suggestions about the desktop file.
	    Remove the extension of the icon key. Add GNOME, GTK and IRCClient
	    as categories. Set general as default component for the bugzilla.

Tue Mar 21 22:51:04 CET 2006  Guillaume Desmottes <cass@skynet.be>

	* src/fe-gnome/main-window.c:
	  - Disable bans list in the channel popup menu because this is not yet
	    implemented.

Fri Mar 17 20:11:44 MST 2006  David Trowbridge <trowbrds@gmail.com>

	* src/fe-gnome/main-window.c:
	* src/fe-gnome/navigation-tree.c:
	* data/xchat-gnome-ui.xml:
	  - Remove "clear" from various menus.  It's of extremely limited use,
	    easy to use accidentally, and still available with /clear

Fri Mar 17 16:23:51 MST 2006  David Trowbridge <trowbrds@gmail.com>

	* data/preferences-dialog.glade:
	  - Get rid of extra, useless widgets

Fri Mar 17 15:46:24 MST 2006  David Trowbridge <trowbrds@gmail.com>

	* src/fe-gnome/text-entry.c:
	* src/fe-gnome/preferences-dialog.h:
	  - Whitespace nitpickery
	* src/fe-gnome/preferences-page-spellcheck.c:
	* src/fe-gnome/preferences-page-spellcheck.h:
	* data/preferences-dialog.glade:
	  - Fiddle a bit with UI and whitespace

Fri Mar 17 22:41:09 CET 2006  Guillaume Desmottes <cass@skynet.be>

	* src/fe-gnome/text-entry.c:
	* src/fe-gnome/preferences-dialog.c:
	* src/fe-gnome/preferences-dialog.h:
	* src/fe-gnome/preferences-page-spellcheck.c:
	* src/fe-gnome/preferences-page-spellcheck.h:
	* src/fe-gnome/apps_xchat.schemas.in:
	* src/fe-gnome/Makefile.am:
	* configure.ac:
	* data/spellcheck.png:
	* data/preferences-dialog.glade:
	* data/Makefile.am:
	* po/POTFILES.in:
	  - Add a preference page to configure spellchecking. We can now
	  disable it and select languages to be used. (#324921, #326436)

Tue Mar 14 13:59:23 GMT 2006  Daniel Drake <dsd@gentoo.org>

	* src/fe-gnome/about.c:
	  - Explicitly hide the about dialog on delete to prevent future crash.
	    (#334534)

Mon Mar 13 03:07:31 MST 2006  David Trowbridge <trowbrds@gmail.com>

	* src/fe-gnome/conversation-panel.c:
	* src/fe-gnome/userlist-gui.c:
	* data/xchat-gnome-ui.xml:
	  - Improve the user context menu situation (#333473).

Mon Mar 13 02:24:10 MST 2006  David Trowbridge <trowbrds@gmail.com>

	* src/fe-gnome/conversation-panel.c:
	* src/fe-gnome/xtext.c:
	* src/fe-gnome/xtext.h:
	  - Hopefully fix clipboard and selection issues.

Sun Mar 12 11:28:54 MST 2006  David Trowbridge <trowbrds@gmail.com>

	* src/fe-gnome/navigation-tree.c:
	  - Clarify autojoin/autoconnect strings

Sun Mar 12 21:59:03 MST 2006  David Trowbridge <trowbrds@gmail.com>

	* src/fe-gnome/main-window.c:
	  - Use theme-based colors for the nickname button to indicate away
	    status, rather than hard-coded ones (#332966)

Sun Mar 12 21:28:24 MST 2006  David Trowbridge <trowbrds@gmail.com>

	* src/fe-gnome/navigation-tree.h:
	* src/fe-gnome/conversation-panel.c:
	* src/fe-gnome/conversation-panel.h:
	* src/fe-gnome/main-window.c:
	* src/fe-gnome/fe-gnome.c:
	* src/fe-gnome/navigation-tree.c:
	  - Handle "focus" correctly when opening new "tabs."  This means
	    xchat-gnome will no longer interrupt you mid-sentence when someone
	    sends a private message (#334236)

Sun Mar 12 20:23:05 MST 2006  Jeremy Nickurak <atrus@rifetech.com>

	* src/fe-gnome/preferences.c:
	  - Stop trying to find a palette scheme, fix palette loading bug.
	    (#327711)

Sun Mar 12 18:48:43 CET 2006  Guillaume Desmottes <cass@skynet.be>

	* plugins/notification/notification.c:
	* plugins/notification/notification.schemas.in:
	  - Add the /apps/xchat/plugins/notification/level gconf key
	    to configure the notification level. (#334238)
	  - Remove the /apps/xchat/plugins/notification/persistant gconf
	    key because we don't need it anymore with the new key.
	  - Fix a leak by freeing the GConfClient.
	  - Remove add_channels_foreach_cb () because this function
	    is called nowhere.
	  - Add a test to avoid to display the notification icon at
	    launching if not desired.

Fri Mar 10 17:20:52 MST 2006  David Trowbridge <trowbrds@gmail.com>

	* src/fe-gnome/main-window.c:
	  - Put main menus on an icon diet.

Thu Mar  9 15:52:14 MST 2006  David Trowbridge <trowbrds@gmail.com>

	* src/fe-gnome/conversation-panel.c:
	* src/fe-gnome/xtext.c:
	* src/fe-gnome/main-window.c:
	  - Use the proper clipboards

Wed Mar  8 20:44:50 MST 2006  David Trowbridge <trowbrds@gmail.com>

	* data/irc-network-editor.glade:
	  - Make the servers list view reorderable, to allow users to change
	    the the priority order.

Wed Mar  8 14:52:12 MST 2006  David Trowbridge <trowbrds@gmail.com>

	* src/fe-gnome/preferences.c:
	* src/fe-gnome/fe-gnome.c:
	  - Fill in extra nickname fields in the common prefs structure, so
	    that the fallbacks are predictable (#333659)

Wed Mar  8 14:26:51 MST 2006  Christian Persch <chpe@gnome.org>

	* src/fe-gnome/preferences-page-dcc.c:
	* src/fe-gnome/main-window.c:
	* src/fe-gnome/preferences-dialog.c:
	* src/fe-gnome/preferences-dialog.h:
	* src/fe-gnome/preferences-page-irc.c:
	* src/fe-gnome/gui.h:
	* src/fe-gnome/preferences-page-colors.c:
	* src/fe-gnome/preferences-page-colors.h:
	* data/preferences-dialog.glade:
	  - A variety of improvements to the preferences dialog.  This fixes
	    some non-HIG spacing, ugliness from size groups, and modality.

Wed Mar  8 01:24:22 MST 2006  David Trowbridge <trowbrds@gmail.com>

	* src/fe-gnome/userlist-gui.c:
	  - Make the userlist popup xinerama-happy

Wed Mar  8 00:47:54 MST 2006  David Trowbridge <trowbrds@gmail.com>

	* plugins/autoaway/xscreensaver.c:
	* plugins/notify-osd/notify-osd.c:
	* src/fe-gnome/text-entry.c:
	* src/fe-gnome/userlist-gui.c:
	* src/fe-gnome/channel-list.c:
	* src/fe-gnome/plugins.c:
	  - Fix a variety of warnings, ranging from 64-bit compatibility stuff
	    to not including <string.h> in the right places.

Wed Mar  8 00:34:15 MST 2006  David Trowbridge <trowbrds@gmail.com>

	* data/topic-change.glade:
	  - Disallow tabs in the topic input box, which makes the box much
	    more usable with the keyboard.
	* src/fe-gnome/topic-label.c:
	  - Make it so typing enter into the topic change box activates the
	    default response for the dialog, since newlines are meaningless in
	    IRC topics.

Sun Mar  5 11:28:31 CET 2006  Guillaume Desmottes <cass@skynet.be>

	* configure.ac:
	  - Change libsexy version dependency to 0.1.6 because SexyTreeView
	    widget is only available since this release.

Sun Mar  5 01:34:09 CET 2006  Guillaume Desmottes <cass@skynet.be>

	* src/fe-gnome/userlist-gui.c:
	* src/fe-gnome/navigation-tree.c:
	* data/xchat-gnome.glade:
	  - Use SexyTreeView for the userlist and so display a very cute
	    tooltip containing user's informations.

Fri Mar  3 17:46:15 MST 2006  David Trowbridge <trowbrds@gmail.com>

	* src/fe-gnome/userlist-gui.c:
	* src/fe-gnome/find-bar.c:
	* src/fe-gnome/navigation-tree.c:
	  - Set cursor position in the text entry after we grab focus, since
	    GtkEntry likes to select the contents of the entry when grabbing.
	    This makes it so existing text isn't selected after switching
	    channels/using the find bar/looking at the userlist.

Sat Mar  4 01:20:05 CET 2006  Guillaume Desmottes <cass@skynet.be>

	* src/fe-gnome/main-window.c:
	* data/xchat-gnome.glade:
	  - We can now use the "change nick dialog" to be marked as away.
	  - Use gtk_dialog_run instead of a non blocking call. It's fix a bug
	    where callbacks were connected each time we opened the dialog and
	    so called too many times.
	  - Rename label "on all servers" to "Apply on all server" to be
	    clearer and more HIG compliant.

Thu Mar  2 22:46:51 CET 2006  Christian Persch <chpe@gnome.org>

	* src/fe-gnome/dcc-window.c:
	* data/dcc-accept.glade:
	* data/Makefile.am:
	  - Use GtkMessageDialog instead of Glade. (#333178)

Tue Feb 28 18:30:25 MST 2006  David Trowbridge <trowbrds@gmail.com>

	* src/fe-gnome/main-window.c:
	* src/fe-gnome/main-window.h:
	* src/fe-gnome/apps_xchat.schemas.in:
	  - Save and restore the position of the main window, since metacity
	    is absolutely refusing to do this for us, even though we're
	    technically session-managed.

Tue Feb 28 18:06:12 MST 2006  David Trowbridge <trowbrds@gmail.com>

	* src/fe-gnome/preferences.c:
	  - Actually hook up "show colors" option.

Tue Feb 28 15:38:40 MST 2006  David Trowbridge <trowbrds@gmail.com>

	* src/fe-gnome/userlist-gui.c:
	  - Pop the list up 10 pixels to the right of the mouse button, rather
	    than 100 pixels to the left.  This should prevent the pop-up
	    overlapping the "Users" button in all but the most pathological
	    cases, for users who don't realize that they can click anywhere
	    rather than only on the button.

Tue Feb 28 15:32:15 MST 2006  David Trowbridge <trowbrds@gmail.com>

	* src/fe-gnome/plugins.c:
	  - Guard against loading plugins multiple times (#328907)

Tue Feb 28 15:09:24 MST 2006  David Trowbridge <trowbrds@gmail.com>

	* configure.ac:
	  - Fix output when checking for libnotify

Tue Feb 28 05:48:41 MST 2006  David Trowbridge <trowbrds@gmail.com>

	* src/fe-gnome/main-window.c:
	* src/fe-gnome/navigation-tree.c:
	  - Only send part messages when a channel is being left (rather than
	    closed), since the core was sending one as well.  This fixes the
	    spurious "You're not on that channel" messages. (#332041)

Fri Feb 24 15:09:56 MST 2006  Brian Pepple <bdpepple@gmail.com>

	* plugins/autoaway/gscreensaver.c:
	  - Update for new gnome-screensaver object ID.

Fri Feb 24 05:12:34 MST 2006  David Trowbridge <trowbrds@gmail.com>

	* configure.ac:
	  - Bump to 0.11svn

==================== 0.10 ====================

Fri Feb 24 04:57:20 MST 2006  David Trowbridge <trowbrds@gmail.com>

	* Makefile.am:
	  - Fix distcheck problems introduced by gnome-doc-utils.

Fri Feb 24 03:06:43 MST 2006  David Trowbridge <trowbrds@gmail.com>

	* configure.ac:
	* NEWS:
	  - Bump to 0.10

Fri Feb 24 11:01:13 CET 2006  Guillaume Desmottes <cass@skynet.be>

	* src/fe-gnome/main-window.c:
	  - Help is now working. Big thanks to seb128 for the fix. (#330837)

Thu Feb 23 16:15:41 MST 2006  David Trowbridge <trowbrds@gmail.com>

	* NEWS:
	  - First crack at NEWS for 0.10

Thu Feb 23 16:04:52 MST 2006  David Trowbridge <trowbrds@gmail.com>

	* plugins/url_scraper/Makefile.am:
	* plugins/notification/Makefile.am:
	* plugins/dbus/Makefile.am:
	* src/fe-gnome/Makefile.am:
	  - Fix gconf schemas install

Thu Feb 23 16:00:24 MST 2006  David Trowbridge <trowbrds@gmail.com>

	* plugins/notification/notification.c:
	  - Fix a couple warnings

Thu Feb 23 19:20:25 CET 2006  Guillaume Desmottes <cass@skynet.be>

	* src/fe-gnome/main-window.c:
	  - Avoid to set a empty title on the main window.

Wed Feb 22 15:45:44 MST 2006  Sven Stothoff <sven.strothoff@speicherland.com>

	* src/common/servlist.c:
	  - Allow ports to be specified with server:port in addition to
	    server/port

Tue Feb 21 19:49:24 MST 2006  Daniel Drake <dsd@gentoo.org>

	* src/fe-gnome/navigation-tree.c:
	* src/fe-gnome/navigation-tree.h:
	* src/fe-gnome/connect-dialog.c:
	  - Update the connection status of the network when we disconnect.
	  - Reuse the currently selected network session if it is
	    disconnected. (#326464)

Tue Feb 21 17:04:42 MST 2006  David Trowbridge <trowbrds@gmail.com>

	* src/fe-gnome/navigation-tree.c:
	  - Remove obsolete comment.

Tue Feb 21 23:27:00 GMT 2006  Daniel Drake  <dsd@gentoo.org>

	* src/fe-gnome/navigation-tree.h:
	* src/fe-gnome/navigation-tree.c:
	  - Convert current_path into current_rowref which should fix reference
	    counting. (#310688)

Mon Feb 20 17:49:38 MST 2006  David Trowbridge <trowbrds@gmail.com>

	* plugins/notification/notification.c:
	  - Apply a modified version of James "Doc" Livingston's patch to fix
	    the notification-area plugin to handle the tray disappearing in an
	    elegant fashion.

Mon Feb 20 16:40:24 MST 2006  Daniel Drake <dsd@gentoo.org>

	* src/fe-gnome/util.c:
	* src/fe-gnome/util.h:
	* src/fe-gnome/preferences-dialog.c:
	* src/fe-gnome/connect-dialog.c:
	* src/fe-gnome/dcc-window.c:
	* src/fe-gnome/channel-list.c:
	  - Allow dialogs to be closed with the escape key (#331911)

Mon Feb 20 18:47:23 CET 2006  Daniel Drake <dsd@gentoo.org>

	* src/fe-gnome/main-window.c:
	  - Fix a crash with the change nick dialog (#331914).

Sun Feb 19 18:02:19 MST 2006  David Trowbridge <trowbrds@gmail.com>

	A m4/gnome-doc-utils.m4:
	A help/xchat-gnome.omf.in:
	D help/C/figures/Makefile.am:
	D help/C/Makefile.am:
	* help/C/xchat-gnome.xml:
	D help/C/xchat-gnome-C.omf:
	* help/Makefile.am:
	* configure.ac:
	* Makefile.am:
	  - Work towards using gnome-doc-utils for the help document

Sun Feb 19 17:24:45 MST 2006  David Trowbridge <trowbrds@gmail.com>

	* src/fe-gnome/conversation-panel.c:
	  - Apply Daniel Drake's patch to prevent the default font for new
	    users from being really ugly (#331832)

Sun Feb 19 17:04:14 MST 2006  David Trowbridge <trowbrds@gmail.com>

	* src/fe-gnome/preferences-page-irc.c:
	  - Eliminate a critical warning that occurred if the font name in
	    gconf was bad.

Sat Feb 18 14:32:42 MST 2006  David Trowbridge <trowbrds@gmail.com>

	* src/fe-gnome/conversation-panel.c:
	* src/fe-gnome/status-bar.c:
	  - Fix some minor type mismatches

Sat Feb 18 14:25:51 MST 2006  David Trowbridge <trowbrds@gmail.com>

	* src/fe-gnome/preferences-page-irc.c:
	  - Guard against bad values from gconf.

Sat Feb 18 14:24:18 MST 2006  David Trowbridge <trowbrds@gmail.com>

	* m4/intltool.m4:
	  - Update intltool macros

Sat Feb 18 14:09:51 MST 2006  David Trowbridge <trowbrds@gmail.com>

	* src/fe-gnome/text-entry.c:
	  - Apply keizie@gmail.com's patch to make nickname completion utf-8
	    clean.

Wed Feb 15 21:07:16 CET 2006  Guillaume Desmottes <cass@skynet.be>

	* src/fe-gnome/channel-list.c:
	  - Grab the focus on the text filter when we open the
	    channels list window.

Wed Feb 15 20:14:39 CET 2006  Guillaume Desmottes <cass@skynet.be>

	* data/xchat-gnome.desktop.in:
	  - Add Comment field to display a tooltip in the menu. (#331259)

Fri Feb 10 21:35:53 CET 2006  Guillaume Desmottes <cass@skynet.be>

	* src/fe-gnome/preferences-page-irc.c:
	  - Avoid to add a null highlight word if we cancel its edition.

Thu Feb 09 23:51:56 CET 2006  Guillaume Desmottes <cass@skynet.be>

	* src/fe-gnome/preferences-page-irc.c:
	  - Use irc_extra_hilight instead of irc_nick_hilight. (#325681)

Thu Feb 09 22:33:37 CET 2006  Guillaume Desmottes <cass@skynet.be>

	* src/fe-gnome/navigation-tree.c:
	  - Use same icon for query messages than for nick highlighting. (#330449)

Sun Feb 05 02:46:18 MST 2006  David Trowbridge <trowbrds@gmail.com>

	* src/fe-gnome/gui.c:
	  - Use the timestamp format string in the xchat preferences if it
	    exists.

Thu Feb 02 17:03:41 MST 2006  Vincent Marc <vincent.marc@laposte.net>

	* src/fe-gnome/dcc-window.c:
	  - Fix a crash with dcc chats

Thu Feb 02 23:51:13 CET 2006  Guillaume Desmottes <cass@skynet.be>

	*  src/fe-gnome/navigation-tree.c:
	   - Grab the focus on the text entry when we change
	     channel/dialog. (#329673)

Wed Feb 01 01:06:47 CET 2006  Guillaume Desmottes <cass@skynet.be>

	* src/fe-gnome/conversation-panel.c:
	* data/xchat-gnome-ui.xml:
	  - Add a default popup when right click in conversation panel.
	  - Add a copy action in the default popup (#328496).

Sun Jan 29 15:01:46 CET 2006  Guillaume Desmottes <cass@skynet.be>

	* src/fe-gnome/main-window.c:
	* src/fe-gnome/main-window.h:
	* src/fe-gnome/fe-gnome.c:
	  - Gray out the nick when we're away (#327722)

Fri Jan 27 00:46:33 MST 2006  David Trowbridge <trowbrds@gmail.com>

	* configure.ac:
	  - Fix PKG_CHECK_MODULES output for the negative case when we have a
	    non-default action.

Fri Jan 27 00:23:25 CET 2006  Guillaume Desmottes <cass@skynet.be>

	* src/fe-gnome/conversation-panel.c:
	  - Put focus on channel/dialog window when we click on its name in chat

Thu Jan 26 16:13:18 MST 2006  David Trowbridge <trowbrds@gmail.com>

	* src/fe-gnome/fe-gnome.c:
	  - Reorder a couple statements to (hopefully) finally fix that color
	    bug on startup.

Thu Jan 26 22:22:20 CET 2006  Guillaume Desmottes <cass@skynet.be>

	* src/fe-gnome/about.c:
	  - Make xchat-gnome URL clickable.

Tue Jan 24 16:53:58 MST 2006  Michael Vogt <mvogt@acm.org>

	* plugins/notify-osd/notify-osd.c:
	  - Escape text properly so that nickname markers aren't interpreted
	    as markup

Wed Jan 25 00:40:56 CET 2006  Sebastien Bacher <seb128@debian.org>

	* plugins/notify-osd/notify-osd.c:
	* configure.ac:
	  - Update to libnotify 0.3.2 API

Mon Jan 23 21:19:17 CET 2006  Guillaume Desmottes <cass@skynet.be>

	* src/fe-gnome/navigation-tree.c:
	  - Fix crash when click on "find on" in a channel (#328300)

Mon Jan 23 01:11:54 CET 2006  Guillaume Desmottes <cass@skynet.be>

	* src/fe-gnome/irc-network-editor.c:
	  - Display "New network" instead of "(null) Network Properties"
	    in the title of the window when we add a server.

Sun Jan 22 18:49:05 EST 2006  Olivier Le Thanh <olivier@lethanh.be>

	* po/POTFILES.in:
	  - Mark sound-notifcation plugin as translatable
	* po/fr.po
	  - French translation for the sound-notification plugin

Sun Jan 22 20:03:39 CET 2006  Xavier Claessens <xclaesse@gmail.com>

	* src/fe-gnome/connect-dialog.c:
	  - Autojoin channels when connecting a network manually

Sun Jan 22 22:10:35 CET 2006  Xavier Claessens <xclaesse@gmail.com>

	* src/fe-gnome/text-entry.c:
	  - Prevent a crash when typing / + <tab>

Sat Jan 21 20:36:48 MST 2006  David Trowbridge <trowbrds@gmail.com>

	* src/fe-gnome/fe-gnome.c:
	  - Start adding session management support

Sat Jan 21 23:20:54 CET 2006  Guillaume Desmottes <cass@skynet.be>

	* src/fe-gnome/userlist.c:
	* src/fe-gnome/userlist.h:
	* src/fe-gnome/navigation-tree.c:
	  - Display number of users in channels (#327995)

Sat Jan 21 00:38:41 MST 2006  David Trowbridge <trowbrds@gmail.com>

	* src/fe-gnome/channel-list.c:
	  - Mark channel list window title as translatable

Sat Jan 21 00:20:19 MST 2006  David Trowbridge <trowbrds@gmail.com>

	* configure.ac:
	  - Fix a booboo

Sat Jan 21 00:50:47 CET 2006  Guillaume Desmottes <cass@skynet.be>

	* plugins/sound-notification/Makefile.am:
	* plugins/sound-notification/sound-notification.c:
	* configure.ac:
	* data/Makefile.am:
	  - Add a sound notification plugin (#327062)

Thu Jan 19 16:31:18 MST 2006  David Trowbridge <trowbrds@gmail.com>

	* configure.ac:
	  - Bump to 0.10svn

==================== 0.9 ====================

Thu Jan 19 15:59:47 MST 2006  David Trowbridge <trowbrds@gmail.com>

	* NEWS:
	* configure.ac:
	  - Bump to 0.9

Thu Jan 19 15:49:52 MST 2006  Laurent Bigonville <l.bigonville@easynet.be>

	* src/fe-gnome/topic-label.c:
	  - Fix path for .glade file

Thu Jan 19 15:47:24 MST 2006  David Trowbridge <trowbrds@gmail.com>

	* src/common/:
	* src/fe-gnome/connect-dialog.c:
	  - Sync to latest xchat CVS

Thu Jan 19 02:37:19 MST 2006  David Trowbridge <trowbrds@gmail.com>

	* src/fe-gnome/topic-label.c:
	  - Fix alignment when the topic is expanded.

Wed Jan 18 01:44:48 MST 2006  Xavier Claessens <xclaesse@gmail.com>

	* plugins/notification/notification.c:
	  - Make things a little cleaner, and hopefully, a little less crashy.

Wed Jan 18 01:30:37 MST 2006  Guillaume Desmottes <cass@skynet.be>

	* src/fe-gnome/channel-list.c:
	  - Join the channel when double click on its row in the treeview.
	  - Load the channels list when dialog is opened.
	* data/channel-list.glade:
	  - put "Join channel" in the top of the three buttons.

Wed Jan 18 00:08:45 MST 2006  David Trowbridge <trowbrds@gmail.com>

	* src/fe-gnome/navigation-tree.c:
	  - Fix some crazy statement ordering to avoid freeing a variable
	    right before using it.

Sun Jan 15 00:19:53 CET 2006  Guillaume Desmottes <cass@skynet.be>

	* src/fe-gnome/main-window.c:
	* src/fe-gnome/fe-gnome.c:
	- Turn on window urgency flag when nick highlighting and
	  receive a private message. (#326970)
	- Use gui.main_window instead of getting the main window
	  widget with glade_xml_get_widget().

Wed Jan 11 20:59:35 MST 2006  David Trowbridge <trowbrds@gmail.com>

	* src/fe-gnome/text-entry.c:
	  - Mark color names for translation

Tue Jan 10 23:23:59 CET 2006  Guillaume Desmottes <cass@skynet.be>

	* src/fe-gnome/preferences-page-plugins.c:
	  - Add a enum for column number (avoid magic number).
	  - Add a display field in plugins model and
	    display it in the treeview instead of plugin's name.

Tue Jan 10 10 21:25:55 CET 2006  Guillaume Desmottes <cass@skynet.be>

	* src/fe-gnome/conversation-panel.c:
	  - Better formating of transcript filename. (#326375)

Tue Jan 10 11:23:27 CET 2006  Xavier Claessens <xclaesse@gmail.com>

	* plugins/notify-osd/notify-osd.c:
	* configure.ac:
	  - Update to libnotify-0.3 API

Tue Jan 03 23:52:48 CET 2006  Guillaume Desmottes <cass@skynet.be>

	* plugins/notification/notification.c:
	  - Use the same icon for private messages than the one
	    for nick highlighting. (#325692)

Tue Jan 03 04:01:25 MST 2005  David Trowbridge <trowbrds@gmail.com>

	* configure.ac:
	  - Remove a spurious AC_MSG_RESULT

Mon Jan 02 16:43:34 MST 2005  David Trowbridge <trowbrds@gmail.com>

	* po/POTFILES.in:
	  - Update to reflect moved schema file

Mon Jan 02 16:18:46 MST 2005  David Trowbridge <trowbrds@gmail.com>

	* src/fe-gnome/fe-gnome.c:
	* configure.ac:
	  - If we're on libgnome >= 2.13, use full option parsing
	    capabilities.  If not, only display the ones that actually get
	    parsed in --help.

Mon Jan 02 15:31:27 MST 2005  David Trowbridge <trowbrds@gmail.com>

	* src/fe-gnome/navigation-tree.c:
	  - (Maybe) fix a crasher when right clicking on an empty navigation
	  tree.

Mon Jan 02 06:10:15 MST 2005  David Trowbridge <trowbrds@gmail.com>

	* src/fe-gnome/conversation-panel.c:
	* src/fe-gnome/topic-label.c:
	  - More URL fixes

Mon Jan 02 05:48:54 MST 2005  David Trowbridge <trowbrds@gmail.com>

	* src/fe-gnome/conversation-panel.c:
	  - Use /url when clicking on a link, in order to avoid circuititous
	    data-paths when clicking an irc:// link

Mon Jan 02 04:57:35 MST 2005  David Trowbridge <trowbrds@gmail.com>

	* plugins/dbus/xchat-gnome-remote.c:
	* plugins/dbus/README:
	  - Update README from xchat cvs, change command for a url to "url"
	    instead of "newserver"

Mon Jan 02 04:39:57 MST 2005  David Trowbridge <trowbrds@gmail.com>

	D plugins/dbus/apps_xchat_url_handler.schemas.in:
	A plugins/dbus/xchat_gnome_url_handler.schemas.in:
	  - Rename schemas file to not conflict with xchat's, since the two
	    have the same install path
	* plugins/dbus/xchat-gnome-remote.c:
	* plugins/dbus/dbus-plugin.xml:
	* plugins/dbus/Makefile.am:
	* plugins/dbus/dbus-plugin.c:
	* plugins/dbus/example.c:
	  - Update from xchat cvs

Mon Jan 02 12:28:18 CET 2005  Guillaume Desmottes <cass@skynet.be>

	* src/fe-gnome/navigation-tree.c:
	  - Only display userlist_toggle in channels (#325347)

Mon Jan 02 04:18:49 MST 2005  Laurent Bigonville <l.bigonville@easynet.be>

	* configure.ac:
	  - Add a flag to disable DBUS support and fix checks to not fail if
	    dbus-binding-tool is missing

Mon Jan 02 04:16:19 MST 2005  David Trowbridge <trowbrds@gmail.com>

	* src/common/...:
	* src/fe-gnome/fe-gnome.c:
	  - Sync common from xchat cvs, update to build against it

Mon Jan 02 04:14:27 MST 2005  Laurent Bigonville <l.bigonville@easynet.be>

	* src/fe-gnome/irc-network-editor.c:
	  - Fix glade file search path

Fri Dec 30 17:51:25 CET 2005  Xavier Claessens <xclaesse@gmail.com>

	* src/fe-gnome/conversation-panel.c:
	  - Query the user when clicking on a nickname
	  - Join the channel when clicking on it

Thu Dec 29 18:13:10 MST 2005  David Trowbridge <trowbrds@gmail.com>

	* configure.ac:
	  - Fix checks for perl to be non-fatal, since perl isn't a hard
	    dependency

Thu Dec 29 18:03:28 MST 2005  David Trowbridge <trowbrds@gmail.com>

	* src/fe-gnome/about.c:
	  - More email addresses

Wed Dec 28 23:11:36 CET 2005  Guillaume Desmottes <cass@skynet.be>

	* src/fe-gnome/channel-list.c:
	  - Implement chanlist_filter (#321326)
	  - Initialize the state of "apply to name" and "apply to topic"
	    checkboxes according to filter_topic and filter_name values

Wed Dec 27 23:48:53 CET 2005  Guillaume Desmottes <cass@skynet.be>

	* src/fe-gnome/irc-network.c:
	* src/fe-gnome/irc-network.h:
	* src/fe-gnome/irc-network-editor.c:
	* src/fe-gnome/irc-network-editor.h:
	* data/irc-network-editor.glade:
	  - Add UI in the network editor dialog for allowing invalid
	    SSL certificates

Fri Dec 23 17:02:48 MST 2005  David Trowbridge <trowbrds@gmail.com>

	* src/fe-gnome/main-window.c:
	* data/xchat-gnome.glade:
	  - Apply Xavier Claessens' patch with minor changes to allow for
	    changing the nickname on all servers

Fri Dec 23 16:49:23 MST 2005  Xavier Claessens <xclaesse@gmail.com>

	* po/fr.po:
	* src/fe-gnome/about.c:
	  - Fix email address

Fri Dec 23 16:44:38 MST 2005  David Trowbridge <trowbrds@gmail.com>

	* src/fe-gnome/irc-network.c:
	* src/fe-gnome/irc-network.h:
	* src/fe-gnome/irc-network-editor.c:
	* src/fe-gnome/irc-network-editor.h:
	* data/irc-network-editor.glade:
	  - Add UI in the network editor dialog for changing the nickserv
	    password

All changes before 23 December 2005 are listed in subversion history
